/* SettingsPage.c generated by valac 0.56.17, the Vala compiler
 * generated from SettingsPage.vala, do not modify */

/*
 * Copyright 2017–2024 elementary, Inc. (https://elementary.io)
 * SPDX-License-Identifier: LGPL-2.1-or-later
 */

#include "switchboard.h"
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <adwaita.h>
#include <glib-object.h>
#include <float.h>
#include <math.h>
#include <granite-7.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	SWITCHBOARD_SETTINGS_PAGE_0_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_HEADER_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_STATUS_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_ICON_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_TITLE_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_CHILD_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_STATUS_SWITCH_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_ACTIVATABLE_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_WITH_AVATAR_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_AVATAR_PAINTABLE_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_DESCRIPTION_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_SHOW_END_TITLE_BUTTONS_PROPERTY,
	SWITCHBOARD_SETTINGS_PAGE_NUM_PROPERTIES
};
static GParamSpec* switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block1Data Block1Data;

struct _SwitchboardSettingsPagePrivate {
	SwitchboardSettingsPageStatusType _status_type;
	gchar* _header;
	gchar* _status;
	GIcon* _icon;
	gchar* _title;
	GtkSwitch* _status_switch;
	gboolean _activatable;
	gboolean _with_avatar;
	GdkPaintable* _avatar_paintable;
	gchar* _description;
	gboolean _show_end_title_buttons;
	AdwClamp* content_area;
	GtkActionBar* action_bar;
	GtkSizeGroup* start_button_group;
	GtkSizeGroup* end_button_group;
};

struct _Block1Data {
	int _ref_count_;
	SwitchboardSettingsPage* self;
	GtkWidget* header_widget;
	GtkLabel* description_label;
	GtkGrid* header_area;
};

static gint SwitchboardSettingsPage_private_offset;
static gpointer switchboard_settings_page_parent_class = NULL;

static GObject * switchboard_settings_page_constructor (GType type,
                                                 guint n_construct_properties,
                                                 GObjectConstructParam * construct_properties);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void _switchboard_settings_page___lambda4_ (Block1Data* _data1_);
static void __switchboard_settings_page___lambda4__g_object_notify (GObject* _sender,
                                                             GParamSpec* pspec,
                                                             gpointer self);
static void switchboard_settings_page_finalize (GObject * obj);
static GType switchboard_settings_page_get_type_once (void);
static void _vala_switchboard_settings_page_get_property (GObject * object,
                                                   guint property_id,
                                                   GValue * value,
                                                   GParamSpec * pspec);
static void _vala_switchboard_settings_page_set_property (GObject * object,
                                                   guint property_id,
                                                   const GValue * value,
                                                   GParamSpec * pspec);

static inline gpointer
switchboard_settings_page_get_instance_private (SwitchboardSettingsPage* self)
{
	return G_STRUCT_MEMBER_P (self, SwitchboardSettingsPage_private_offset);
}

/**
     * Used to display a status icon overlayed on the display_widget in a Granite.SettingsSidebar
     */
static GType
switchboard_settings_page_status_type_get_type_once (void)
{
	static const GEnumValue values[] = {{SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_ERROR, "SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_ERROR", "error"}, {SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_OFFLINE, "SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_OFFLINE", "offline"}, {SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_SUCCESS, "SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_SUCCESS", "success"}, {SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_WARNING, "SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_WARNING", "warning"}, {SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_NONE, "SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_NONE", "none"}, {0, NULL, NULL}};
	GType switchboard_settings_page_status_type_type_id;
	switchboard_settings_page_status_type_type_id = g_enum_register_static ("SwitchboardSettingsPageStatusType", values);
	return switchboard_settings_page_status_type_type_id;
}

GType
switchboard_settings_page_status_type_get_type (void)
{
	static volatile gsize switchboard_settings_page_status_type_type_id__once = 0;
	if (g_once_init_enter (&switchboard_settings_page_status_type_type_id__once)) {
		GType switchboard_settings_page_status_type_type_id;
		switchboard_settings_page_status_type_type_id = switchboard_settings_page_status_type_get_type_once ();
		g_once_init_leave (&switchboard_settings_page_status_type_type_id__once, switchboard_settings_page_status_type_type_id);
	}
	return switchboard_settings_page_status_type_type_id__once;
}

GtkButton*
switchboard_settings_page_add_start_button (SwitchboardSettingsPage* self,
                                            const gchar* label)
{
	GtkButton* button = NULL;
	GtkButton* _tmp0_;
	GtkActionBar* _tmp1_;
	GtkActionBar* _tmp2_;
	GtkSizeGroup* _tmp3_;
	GtkButton* result;
#line 218 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 218 "../lib/SettingsPage.vala"
	g_return_val_if_fail (label != NULL, NULL);
#line 219 "../lib/SettingsPage.vala"
	_tmp0_ = (GtkButton*) gtk_button_new_with_label (label);
#line 219 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp0_);
#line 219 "../lib/SettingsPage.vala"
	button = _tmp0_;
#line 221 "../lib/SettingsPage.vala"
	_tmp1_ = self->priv->action_bar;
#line 221 "../lib/SettingsPage.vala"
	gtk_action_bar_pack_start (_tmp1_, (GtkWidget*) button);
#line 222 "../lib/SettingsPage.vala"
	_tmp2_ = self->priv->action_bar;
#line 222 "../lib/SettingsPage.vala"
	gtk_action_bar_set_revealed (_tmp2_, TRUE);
#line 224 "../lib/SettingsPage.vala"
	_tmp3_ = self->priv->start_button_group;
#line 224 "../lib/SettingsPage.vala"
	gtk_size_group_add_widget (_tmp3_, (GtkWidget*) button);
#line 226 "../lib/SettingsPage.vala"
	result = button;
#line 226 "../lib/SettingsPage.vala"
	return result;
#line 168 "SettingsPage.c"
}

GtkButton*
switchboard_settings_page_add_button (SwitchboardSettingsPage* self,
                                      const gchar* label)
{
	GtkButton* button = NULL;
	GtkButton* _tmp0_;
	GtkActionBar* _tmp1_;
	GtkActionBar* _tmp2_;
	GtkSizeGroup* _tmp3_;
	GtkButton* result;
#line 229 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 229 "../lib/SettingsPage.vala"
	g_return_val_if_fail (label != NULL, NULL);
#line 230 "../lib/SettingsPage.vala"
	_tmp0_ = (GtkButton*) gtk_button_new_with_label (label);
#line 230 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp0_);
#line 230 "../lib/SettingsPage.vala"
	button = _tmp0_;
#line 232 "../lib/SettingsPage.vala"
	_tmp1_ = self->priv->action_bar;
#line 232 "../lib/SettingsPage.vala"
	gtk_action_bar_pack_end (_tmp1_, (GtkWidget*) button);
#line 233 "../lib/SettingsPage.vala"
	_tmp2_ = self->priv->action_bar;
#line 233 "../lib/SettingsPage.vala"
	gtk_action_bar_set_revealed (_tmp2_, TRUE);
#line 235 "../lib/SettingsPage.vala"
	_tmp3_ = self->priv->end_button_group;
#line 235 "../lib/SettingsPage.vala"
	gtk_size_group_add_widget (_tmp3_, (GtkWidget*) button);
#line 237 "../lib/SettingsPage.vala"
	result = button;
#line 237 "../lib/SettingsPage.vala"
	return result;
#line 207 "SettingsPage.c"
}

SwitchboardSettingsPage*
switchboard_settings_page_construct (GType object_type)
{
	SwitchboardSettingsPage * self = NULL;
#line 10 "../lib/SettingsPage.vala"
	self = (SwitchboardSettingsPage*) g_object_new (object_type, NULL);
#line 10 "../lib/SettingsPage.vala"
	return self;
#line 218 "SettingsPage.c"
}

SwitchboardSettingsPageStatusType
switchboard_settings_page_get_status_type (SwitchboardSettingsPage* self)
{
	SwitchboardSettingsPageStatusType result;
#line 25 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 25 "../lib/SettingsPage.vala"
	result = self->priv->_status_type;
#line 25 "../lib/SettingsPage.vala"
	return result;
#line 231 "SettingsPage.c"
}

void
switchboard_settings_page_set_status_type (SwitchboardSettingsPage* self,
                                           SwitchboardSettingsPageStatusType value)
{
	SwitchboardSettingsPageStatusType old_value;
#line 25 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 25 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_status_type (self);
#line 25 "../lib/SettingsPage.vala"
	if (old_value != value) {
#line 25 "../lib/SettingsPage.vala"
		self->priv->_status_type = value;
#line 25 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_PROPERTY]);
#line 249 "SettingsPage.c"
	}
}

const gchar*
switchboard_settings_page_get_header (SwitchboardSettingsPage* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 30 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 30 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_header;
#line 30 "../lib/SettingsPage.vala"
	result = _tmp0_;
#line 30 "../lib/SettingsPage.vala"
	return result;
#line 266 "SettingsPage.c"
}

static void
switchboard_settings_page_set_header (SwitchboardSettingsPage* self,
                                      const gchar* value)
{
	gchar* old_value;
#line 30 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 30 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_header (self);
#line 30 "../lib/SettingsPage.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 280 "SettingsPage.c"
		gchar* _tmp0_;
#line 30 "../lib/SettingsPage.vala"
		_tmp0_ = g_strdup (value);
#line 30 "../lib/SettingsPage.vala"
		_g_free0 (self->priv->_header);
#line 30 "../lib/SettingsPage.vala"
		self->priv->_header = _tmp0_;
#line 30 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_HEADER_PROPERTY]);
#line 290 "SettingsPage.c"
	}
}

const gchar*
switchboard_settings_page_get_status (SwitchboardSettingsPage* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 35 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 35 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_status;
#line 35 "../lib/SettingsPage.vala"
	result = _tmp0_;
#line 35 "../lib/SettingsPage.vala"
	return result;
#line 307 "SettingsPage.c"
}

void
switchboard_settings_page_set_status (SwitchboardSettingsPage* self,
                                      const gchar* value)
{
	gchar* old_value;
#line 35 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 35 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_status (self);
#line 35 "../lib/SettingsPage.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 321 "SettingsPage.c"
		gchar* _tmp0_;
#line 35 "../lib/SettingsPage.vala"
		_tmp0_ = g_strdup (value);
#line 35 "../lib/SettingsPage.vala"
		_g_free0 (self->priv->_status);
#line 35 "../lib/SettingsPage.vala"
		self->priv->_status = _tmp0_;
#line 35 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_STATUS_PROPERTY]);
#line 331 "SettingsPage.c"
	}
}

GIcon*
switchboard_settings_page_get_icon (SwitchboardSettingsPage* self)
{
	GIcon* result;
	GIcon* _tmp0_;
#line 40 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 40 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_icon;
#line 40 "../lib/SettingsPage.vala"
	result = _tmp0_;
#line 40 "../lib/SettingsPage.vala"
	return result;
#line 348 "SettingsPage.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 40 "../lib/SettingsPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 356 "SettingsPage.c"
}

void
switchboard_settings_page_set_icon (SwitchboardSettingsPage* self,
                                    GIcon* value)
{
	GIcon* old_value;
#line 40 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 40 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_icon (self);
#line 40 "../lib/SettingsPage.vala"
	if (old_value != value) {
#line 370 "SettingsPage.c"
		GIcon* _tmp0_;
#line 40 "../lib/SettingsPage.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 40 "../lib/SettingsPage.vala"
		_g_object_unref0 (self->priv->_icon);
#line 40 "../lib/SettingsPage.vala"
		self->priv->_icon = _tmp0_;
#line 40 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_ICON_PROPERTY]);
#line 380 "SettingsPage.c"
	}
}

const gchar*
switchboard_settings_page_get_title (SwitchboardSettingsPage* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 45 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 45 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_title;
#line 45 "../lib/SettingsPage.vala"
	result = _tmp0_;
#line 45 "../lib/SettingsPage.vala"
	return result;
#line 397 "SettingsPage.c"
}

void
switchboard_settings_page_set_title (SwitchboardSettingsPage* self,
                                     const gchar* value)
{
	gchar* old_value;
#line 45 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 45 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_title (self);
#line 45 "../lib/SettingsPage.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 411 "SettingsPage.c"
		gchar* _tmp0_;
#line 45 "../lib/SettingsPage.vala"
		_tmp0_ = g_strdup (value);
#line 45 "../lib/SettingsPage.vala"
		_g_free0 (self->priv->_title);
#line 45 "../lib/SettingsPage.vala"
		self->priv->_title = _tmp0_;
#line 45 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_TITLE_PROPERTY]);
#line 421 "SettingsPage.c"
	}
}

GtkWidget*
switchboard_settings_page_get_child (SwitchboardSettingsPage* self)
{
	GtkWidget* result;
	AdwClamp* _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* _tmp2_;
#line 51 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 52 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->content_area;
#line 52 "../lib/SettingsPage.vala"
	_tmp1_ = adw_clamp_get_child (_tmp0_);
#line 52 "../lib/SettingsPage.vala"
	_tmp2_ = _tmp1_;
#line 52 "../lib/SettingsPage.vala"
	result = _tmp2_;
#line 52 "../lib/SettingsPage.vala"
	return result;
#line 444 "SettingsPage.c"
}

void
switchboard_settings_page_set_child (SwitchboardSettingsPage* self,
                                     GtkWidget* value)
{
	AdwClamp* _tmp0_;
#line 54 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 55 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->content_area;
#line 55 "../lib/SettingsPage.vala"
	adw_clamp_set_child (_tmp0_, value);
#line 54 "../lib/SettingsPage.vala"
	g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_CHILD_PROPERTY]);
#line 460 "SettingsPage.c"
}

GtkSwitch*
switchboard_settings_page_get_status_switch (SwitchboardSettingsPage* self)
{
	GtkSwitch* result;
	GtkSwitch* _tmp0_;
#line 62 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 62 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_status_switch;
#line 62 "../lib/SettingsPage.vala"
	result = _tmp0_;
#line 62 "../lib/SettingsPage.vala"
	return result;
#line 476 "SettingsPage.c"
}

static void
switchboard_settings_page_set_status_switch (SwitchboardSettingsPage* self,
                                             GtkSwitch* value)
{
	GtkSwitch* old_value;
#line 62 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 62 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_status_switch (self);
#line 62 "../lib/SettingsPage.vala"
	if (old_value != value) {
#line 490 "SettingsPage.c"
		GtkSwitch* _tmp0_;
#line 62 "../lib/SettingsPage.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 62 "../lib/SettingsPage.vala"
		_g_object_unref0 (self->priv->_status_switch);
#line 62 "../lib/SettingsPage.vala"
		self->priv->_status_switch = _tmp0_;
#line 62 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_STATUS_SWITCH_PROPERTY]);
#line 500 "SettingsPage.c"
	}
}

gboolean
switchboard_settings_page_get_activatable (SwitchboardSettingsPage* self)
{
	gboolean result;
#line 67 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 67 "../lib/SettingsPage.vala"
	result = self->priv->_activatable;
#line 67 "../lib/SettingsPage.vala"
	return result;
#line 514 "SettingsPage.c"
}

static void
switchboard_settings_page_set_activatable (SwitchboardSettingsPage* self,
                                           gboolean value)
{
	gboolean old_value;
#line 67 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 67 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_activatable (self);
#line 67 "../lib/SettingsPage.vala"
	if (old_value != value) {
#line 67 "../lib/SettingsPage.vala"
		self->priv->_activatable = value;
#line 67 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_ACTIVATABLE_PROPERTY]);
#line 532 "SettingsPage.c"
	}
}

gboolean
switchboard_settings_page_get_with_avatar (SwitchboardSettingsPage* self)
{
	gboolean result;
#line 72 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 72 "../lib/SettingsPage.vala"
	result = self->priv->_with_avatar;
#line 72 "../lib/SettingsPage.vala"
	return result;
#line 546 "SettingsPage.c"
}

static void
switchboard_settings_page_set_with_avatar (SwitchboardSettingsPage* self,
                                           gboolean value)
{
	gboolean old_value;
#line 72 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 72 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_with_avatar (self);
#line 72 "../lib/SettingsPage.vala"
	if (old_value != value) {
#line 72 "../lib/SettingsPage.vala"
		self->priv->_with_avatar = value;
#line 72 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_WITH_AVATAR_PROPERTY]);
#line 564 "SettingsPage.c"
	}
}

GdkPaintable*
switchboard_settings_page_get_avatar_paintable (SwitchboardSettingsPage* self)
{
	GdkPaintable* result;
	GdkPaintable* _tmp0_;
#line 77 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 77 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_avatar_paintable;
#line 77 "../lib/SettingsPage.vala"
	result = _tmp0_;
#line 77 "../lib/SettingsPage.vala"
	return result;
#line 581 "SettingsPage.c"
}

void
switchboard_settings_page_set_avatar_paintable (SwitchboardSettingsPage* self,
                                                GdkPaintable* value)
{
	GdkPaintable* old_value;
#line 77 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 77 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_avatar_paintable (self);
#line 77 "../lib/SettingsPage.vala"
	if (old_value != value) {
#line 595 "SettingsPage.c"
		GdkPaintable* _tmp0_;
#line 77 "../lib/SettingsPage.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 77 "../lib/SettingsPage.vala"
		_g_object_unref0 (self->priv->_avatar_paintable);
#line 77 "../lib/SettingsPage.vala"
		self->priv->_avatar_paintable = _tmp0_;
#line 77 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_AVATAR_PAINTABLE_PROPERTY]);
#line 605 "SettingsPage.c"
	}
}

const gchar*
switchboard_settings_page_get_description (SwitchboardSettingsPage* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 82 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 82 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_description;
#line 82 "../lib/SettingsPage.vala"
	result = _tmp0_;
#line 82 "../lib/SettingsPage.vala"
	return result;
#line 622 "SettingsPage.c"
}

void
switchboard_settings_page_set_description (SwitchboardSettingsPage* self,
                                           const gchar* value)
{
	gchar* old_value;
#line 82 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 82 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_description (self);
#line 82 "../lib/SettingsPage.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 636 "SettingsPage.c"
		gchar* _tmp0_;
#line 82 "../lib/SettingsPage.vala"
		_tmp0_ = g_strdup (value);
#line 82 "../lib/SettingsPage.vala"
		_g_free0 (self->priv->_description);
#line 82 "../lib/SettingsPage.vala"
		self->priv->_description = _tmp0_;
#line 82 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_DESCRIPTION_PROPERTY]);
#line 646 "SettingsPage.c"
	}
}

gboolean
switchboard_settings_page_get_show_end_title_buttons (SwitchboardSettingsPage* self)
{
	gboolean result;
#line 87 "../lib/SettingsPage.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 87 "../lib/SettingsPage.vala"
	result = self->priv->_show_end_title_buttons;
#line 87 "../lib/SettingsPage.vala"
	return result;
#line 660 "SettingsPage.c"
}

void
switchboard_settings_page_set_show_end_title_buttons (SwitchboardSettingsPage* self,
                                                      gboolean value)
{
	gboolean old_value;
#line 87 "../lib/SettingsPage.vala"
	g_return_if_fail (self != NULL);
#line 87 "../lib/SettingsPage.vala"
	old_value = switchboard_settings_page_get_show_end_title_buttons (self);
#line 87 "../lib/SettingsPage.vala"
	if (old_value != value) {
#line 87 "../lib/SettingsPage.vala"
		self->priv->_show_end_title_buttons = value;
#line 87 "../lib/SettingsPage.vala"
		g_object_notify_by_pspec ((GObject *) self, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_SHOW_END_TITLE_BUTTONS_PROPERTY]);
#line 678 "SettingsPage.c"
	}
}

static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 102 "../lib/SettingsPage.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 102 "../lib/SettingsPage.vala"
	return _data1_;
#line 689 "SettingsPage.c"
}

static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 102 "../lib/SettingsPage.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 699 "SettingsPage.c"
		SwitchboardSettingsPage* self;
#line 102 "../lib/SettingsPage.vala"
		self = _data1_->self;
#line 102 "../lib/SettingsPage.vala"
		_g_object_unref0 (_data1_->header_area);
#line 102 "../lib/SettingsPage.vala"
		_g_object_unref0 (_data1_->description_label);
#line 102 "../lib/SettingsPage.vala"
		_g_object_unref0 (_data1_->header_widget);
#line 102 "../lib/SettingsPage.vala"
		_g_object_unref0 (self);
#line 102 "../lib/SettingsPage.vala"
		g_slice_free (Block1Data, _data1_);
#line 713 "SettingsPage.c"
	}
}

static void
_switchboard_settings_page___lambda4_ (Block1Data* _data1_)
{
	SwitchboardSettingsPage* self;
	GtkLabel* _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* _tmp2_;
#line 203 "../lib/SettingsPage.vala"
	self = _data1_->self;
#line 204 "../lib/SettingsPage.vala"
	_tmp0_ = _data1_->description_label;
#line 204 "../lib/SettingsPage.vala"
	_tmp1_ = gtk_widget_get_parent ((GtkWidget*) _tmp0_);
#line 204 "../lib/SettingsPage.vala"
	_tmp2_ = _tmp1_;
#line 204 "../lib/SettingsPage.vala"
	if (_tmp2_ == NULL) {
#line 734 "SettingsPage.c"
		GtkGrid* _tmp3_;
		GtkWidget* _tmp4_;
		GtkGrid* _tmp5_;
		GtkWidget* _tmp6_;
		GtkGrid* _tmp7_;
		GtkLabel* _tmp8_;
#line 205 "../lib/SettingsPage.vala"
		_tmp3_ = _data1_->header_area;
#line 205 "../lib/SettingsPage.vala"
		_tmp4_ = _data1_->header_widget;
#line 205 "../lib/SettingsPage.vala"
		gtk_grid_remove (_tmp3_, _tmp4_);
#line 206 "../lib/SettingsPage.vala"
		_tmp5_ = _data1_->header_area;
#line 206 "../lib/SettingsPage.vala"
		_tmp6_ = _data1_->header_widget;
#line 206 "../lib/SettingsPage.vala"
		gtk_grid_attach (_tmp5_, _tmp6_, 0, 0, 1, 2);
#line 207 "../lib/SettingsPage.vala"
		_tmp7_ = _data1_->header_area;
#line 207 "../lib/SettingsPage.vala"
		_tmp8_ = _data1_->description_label;
#line 207 "../lib/SettingsPage.vala"
		gtk_grid_attach (_tmp7_, (GtkWidget*) _tmp8_, 1, 1, 2, 1);
#line 759 "SettingsPage.c"
	}
}

static void
__switchboard_settings_page___lambda4__g_object_notify (GObject* _sender,
                                                        GParamSpec* pspec,
                                                        gpointer self)
{
#line 203 "../lib/SettingsPage.vala"
	_switchboard_settings_page___lambda4_ (self);
#line 770 "SettingsPage.c"
}

static GObject *
switchboard_settings_page_constructor (GType type,
                                       guint n_construct_properties,
                                       GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	SwitchboardSettingsPage * self;
	Block1Data* _data1_;
	gboolean _tmp0_;
	GtkLabel* title_label = NULL;
	const gchar* _tmp8_;
	GtkLabel* _tmp9_ = NULL;
	GtkLabel* _tmp10_;
	const gchar* _tmp11_;
	GtkLabel* _tmp12_ = NULL;
	GtkGrid* _tmp13_;
	GtkGrid* _tmp14_;
	GtkLabel* _tmp15_;
	const gchar* _tmp16_;
	gboolean _tmp23_;
	GtkWindowControls* end_widget = NULL;
	GtkWindowControls* _tmp28_ = NULL;
	AdwClamp* header_clamp = NULL;
	GtkGrid* _tmp29_;
	GtkWidget* _tmp30_;
	AdwClamp* _tmp31_ = NULL;
	AdwClamp* _tmp32_;
	GtkCenterBox* headerbar = NULL;
	AdwClamp* _tmp33_;
	GtkWidget* _tmp34_;
	GtkWindowControls* _tmp35_;
	GtkWidget* _tmp36_;
	GtkCenterBox* _tmp37_ = NULL;
	GtkWindowHandle* window_handle = NULL;
	GtkCenterBox* _tmp38_;
	GtkWidget* _tmp39_;
	GtkWindowHandle* _tmp40_ = NULL;
	AdwClamp* _tmp41_ = NULL;
	AdwClamp* _tmp42_;
	GtkScrolledWindow* scrolled = NULL;
	AdwClamp* _tmp43_;
	GtkWidget* _tmp44_;
	GtkScrolledWindow* _tmp45_ = NULL;
	GtkSizeGroup* _tmp46_;
	GtkSizeGroup* _tmp47_;
	GtkActionBar* _tmp48_ = NULL;
	GtkActionBar* _tmp49_;
	GtkLayoutManager* _tmp50_;
	GtkWindowHandle* _tmp51_;
	GtkScrolledWindow* _tmp52_;
	GtkActionBar* _tmp53_;
	GtkLabel* _tmp54_;
	GtkLabel* _tmp55_;
	GtkWindowControls* _tmp56_;
#line 102 "../lib/SettingsPage.vala"
	parent_class = G_OBJECT_CLASS (switchboard_settings_page_parent_class);
#line 102 "../lib/SettingsPage.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 102 "../lib/SettingsPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SWITCHBOARD_TYPE_SETTINGS_PAGE, SwitchboardSettingsPage);
#line 102 "../lib/SettingsPage.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 102 "../lib/SettingsPage.vala"
	_data1_->_ref_count_ = 1;
#line 102 "../lib/SettingsPage.vala"
	_data1_->self = g_object_ref (self);
#line 105 "../lib/SettingsPage.vala"
	_tmp0_ = self->priv->_with_avatar;
#line 105 "../lib/SettingsPage.vala"
	if (!_tmp0_) {
#line 844 "SettingsPage.c"
		GIcon* _tmp1_;
		GtkImage* _tmp2_ = NULL;
		GtkWidget* _tmp3_;
#line 106 "../lib/SettingsPage.vala"
		_tmp1_ = self->priv->_icon;
#line 106 "../lib/SettingsPage.vala"
		_tmp2_ = (GtkImage*) gtk_image_new_from_gicon (_tmp1_);
#line 106 "../lib/SettingsPage.vala"
		gtk_image_set_icon_size (_tmp2_, GTK_ICON_SIZE_LARGE);
#line 106 "../lib/SettingsPage.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp2_, GTK_ALIGN_START);
#line 106 "../lib/SettingsPage.vala"
		g_object_ref_sink (_tmp2_);
#line 106 "../lib/SettingsPage.vala"
		_g_object_unref0 (_data1_->header_widget);
#line 106 "../lib/SettingsPage.vala"
		_data1_->header_widget = (GtkWidget*) _tmp2_;
#line 111 "../lib/SettingsPage.vala"
		_tmp3_ = _data1_->header_widget;
#line 111 "../lib/SettingsPage.vala"
		g_object_bind_property_with_closures ((GObject*) self, "icon", (GObject*) _tmp3_, "gicon", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 866 "SettingsPage.c"
	} else {
		const gchar* _tmp4_;
		AdwAvatar* _tmp5_ = NULL;
		GtkWidget* _tmp6_;
		GtkWidget* _tmp7_;
#line 113 "../lib/SettingsPage.vala"
		_tmp4_ = self->priv->_title;
#line 113 "../lib/SettingsPage.vala"
		_tmp5_ = (AdwAvatar*) adw_avatar_new (48, _tmp4_, TRUE);
#line 113 "../lib/SettingsPage.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp5_, GTK_ALIGN_START);
#line 113 "../lib/SettingsPage.vala"
		g_object_ref_sink (_tmp5_);
#line 113 "../lib/SettingsPage.vala"
		_g_object_unref0 (_data1_->header_widget);
#line 113 "../lib/SettingsPage.vala"
		_data1_->header_widget = (GtkWidget*) _tmp5_;
#line 117 "../lib/SettingsPage.vala"
		_tmp6_ = _data1_->header_widget;
#line 117 "../lib/SettingsPage.vala"
		g_object_bind_property_with_closures ((GObject*) self, "avatar-paintable", (GObject*) _tmp6_, "custom-image", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 118 "../lib/SettingsPage.vala"
		_tmp7_ = _data1_->header_widget;
#line 118 "../lib/SettingsPage.vala"
		g_object_bind_property_with_closures ((GObject*) self, "title", (GObject*) _tmp7_, "text", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 892 "SettingsPage.c"
	}
#line 121 "../lib/SettingsPage.vala"
	_tmp8_ = self->priv->_title;
#line 121 "../lib/SettingsPage.vala"
	_tmp9_ = (GtkLabel*) gtk_label_new (_tmp8_);
#line 121 "../lib/SettingsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 121 "../lib/SettingsPage.vala"
	gtk_label_set_wrap (_tmp9_, TRUE);
#line 121 "../lib/SettingsPage.vala"
	gtk_label_set_xalign (_tmp9_, (gfloat) 0);
#line 121 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp9_);
#line 121 "../lib/SettingsPage.vala"
	title_label = _tmp9_;
#line 126 "../lib/SettingsPage.vala"
	_tmp10_ = title_label;
#line 126 "../lib/SettingsPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp10_, GRANITE_STYLE_CLASS_H2_LABEL);
#line 128 "../lib/SettingsPage.vala"
	_tmp11_ = self->priv->_description;
#line 128 "../lib/SettingsPage.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_tmp11_);
#line 128 "../lib/SettingsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp12_, TRUE);
#line 128 "../lib/SettingsPage.vala"
	gtk_label_set_max_width_chars (_tmp12_, 0);
#line 128 "../lib/SettingsPage.vala"
	gtk_label_set_selectable (_tmp12_, TRUE);
#line 128 "../lib/SettingsPage.vala"
	gtk_label_set_use_markup (_tmp12_, TRUE);
#line 128 "../lib/SettingsPage.vala"
	gtk_label_set_wrap (_tmp12_, TRUE);
#line 128 "../lib/SettingsPage.vala"
	gtk_label_set_xalign (_tmp12_, (gfloat) 0);
#line 128 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp12_);
#line 128 "../lib/SettingsPage.vala"
	_data1_->description_label = _tmp12_;
#line 137 "../lib/SettingsPage.vala"
	_tmp13_ = (GtkGrid*) gtk_grid_new ();
#line 137 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp13_);
#line 137 "../lib/SettingsPage.vala"
	_data1_->header_area = _tmp13_;
#line 138 "../lib/SettingsPage.vala"
	_tmp14_ = _data1_->header_area;
#line 138 "../lib/SettingsPage.vala"
	_tmp15_ = title_label;
#line 138 "../lib/SettingsPage.vala"
	gtk_grid_attach (_tmp14_, (GtkWidget*) _tmp15_, 1, 0, 1, 1);
#line 140 "../lib/SettingsPage.vala"
	_tmp16_ = self->priv->_description;
#line 140 "../lib/SettingsPage.vala"
	if (_tmp16_ != NULL) {
#line 948 "SettingsPage.c"
		GtkGrid* _tmp17_;
		GtkWidget* _tmp18_;
		GtkGrid* _tmp19_;
		GtkLabel* _tmp20_;
#line 141 "../lib/SettingsPage.vala"
		_tmp17_ = _data1_->header_area;
#line 141 "../lib/SettingsPage.vala"
		_tmp18_ = _data1_->header_widget;
#line 141 "../lib/SettingsPage.vala"
		gtk_grid_attach (_tmp17_, _tmp18_, 0, 0, 1, 2);
#line 142 "../lib/SettingsPage.vala"
		_tmp19_ = _data1_->header_area;
#line 142 "../lib/SettingsPage.vala"
		_tmp20_ = _data1_->description_label;
#line 142 "../lib/SettingsPage.vala"
		gtk_grid_attach (_tmp19_, (GtkWidget*) _tmp20_, 1, 1, 2, 1);
#line 965 "SettingsPage.c"
	} else {
		GtkGrid* _tmp21_;
		GtkWidget* _tmp22_;
#line 144 "../lib/SettingsPage.vala"
		_tmp21_ = _data1_->header_area;
#line 144 "../lib/SettingsPage.vala"
		_tmp22_ = _data1_->header_widget;
#line 144 "../lib/SettingsPage.vala"
		gtk_grid_attach (_tmp21_, _tmp22_, 0, 0, 1, 1);
#line 975 "SettingsPage.c"
	}
#line 147 "../lib/SettingsPage.vala"
	_tmp23_ = self->priv->_activatable;
#line 147 "../lib/SettingsPage.vala"
	if (_tmp23_) {
#line 981 "SettingsPage.c"
		GtkSwitch* _tmp24_ = NULL;
		GtkSwitch* _tmp25_;
		GtkGrid* _tmp26_;
		GtkSwitch* _tmp27_;
#line 148 "../lib/SettingsPage.vala"
		_tmp24_ = (GtkSwitch*) gtk_switch_new ();
#line 148 "../lib/SettingsPage.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp24_, GTK_ALIGN_START);
#line 148 "../lib/SettingsPage.vala"
		g_object_ref_sink (_tmp24_);
#line 148 "../lib/SettingsPage.vala"
		_tmp25_ = _tmp24_;
#line 148 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_status_switch (self, _tmp25_);
#line 148 "../lib/SettingsPage.vala"
		_g_object_unref0 (_tmp25_);
#line 151 "../lib/SettingsPage.vala"
		_tmp26_ = _data1_->header_area;
#line 151 "../lib/SettingsPage.vala"
		_tmp27_ = self->priv->_status_switch;
#line 151 "../lib/SettingsPage.vala"
		gtk_grid_attach (_tmp26_, (GtkWidget*) _tmp27_, 2, 0, 1, 1);
#line 1004 "SettingsPage.c"
	}
#line 154 "../lib/SettingsPage.vala"
	_tmp28_ = (GtkWindowControls*) gtk_window_controls_new (GTK_PACK_END);
#line 154 "../lib/SettingsPage.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp28_, GTK_ALIGN_START);
#line 154 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp28_);
#line 154 "../lib/SettingsPage.vala"
	end_widget = _tmp28_;
#line 158 "../lib/SettingsPage.vala"
	_tmp29_ = _data1_->header_area;
#line 158 "../lib/SettingsPage.vala"
	_tmp30_ = _g_object_ref0 ((GtkWidget*) _tmp29_);
#line 158 "../lib/SettingsPage.vala"
	_tmp31_ = (AdwClamp*) adw_clamp_new ();
#line 158 "../lib/SettingsPage.vala"
	adw_clamp_set_child (_tmp31_, _tmp30_);
#line 158 "../lib/SettingsPage.vala"
	_g_object_unref0 (_tmp30_);
#line 158 "../lib/SettingsPage.vala"
	adw_clamp_set_maximum_size (_tmp31_, 600);
#line 158 "../lib/SettingsPage.vala"
	adw_clamp_set_tightening_threshold (_tmp31_, 600);
#line 158 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp31_);
#line 158 "../lib/SettingsPage.vala"
	header_clamp = _tmp31_;
#line 163 "../lib/SettingsPage.vala"
	_tmp32_ = header_clamp;
#line 163 "../lib/SettingsPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp32_, "header-area");
#line 165 "../lib/SettingsPage.vala"
	_tmp33_ = header_clamp;
#line 165 "../lib/SettingsPage.vala"
	_tmp34_ = _g_object_ref0 ((GtkWidget*) _tmp33_);
#line 165 "../lib/SettingsPage.vala"
	_tmp35_ = end_widget;
#line 165 "../lib/SettingsPage.vala"
	_tmp36_ = _g_object_ref0 ((GtkWidget*) _tmp35_);
#line 165 "../lib/SettingsPage.vala"
	_tmp37_ = (GtkCenterBox*) gtk_center_box_new ();
#line 165 "../lib/SettingsPage.vala"
	gtk_center_box_set_center_widget (_tmp37_, _tmp34_);
#line 165 "../lib/SettingsPage.vala"
	_g_object_unref0 (_tmp34_);
#line 165 "../lib/SettingsPage.vala"
	gtk_center_box_set_end_widget (_tmp37_, _tmp36_);
#line 165 "../lib/SettingsPage.vala"
	_g_object_unref0 (_tmp36_);
#line 165 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp37_);
#line 165 "../lib/SettingsPage.vala"
	headerbar = _tmp37_;
#line 170 "../lib/SettingsPage.vala"
	_tmp38_ = headerbar;
#line 170 "../lib/SettingsPage.vala"
	_tmp39_ = _g_object_ref0 ((GtkWidget*) _tmp38_);
#line 170 "../lib/SettingsPage.vala"
	_tmp40_ = (GtkWindowHandle*) gtk_window_handle_new ();
#line 170 "../lib/SettingsPage.vala"
	gtk_window_handle_set_child (_tmp40_, _tmp39_);
#line 170 "../lib/SettingsPage.vala"
	_g_object_unref0 (_tmp39_);
#line 170 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp40_);
#line 170 "../lib/SettingsPage.vala"
	window_handle = _tmp40_;
#line 174 "../lib/SettingsPage.vala"
	_tmp41_ = (AdwClamp*) adw_clamp_new ();
#line 174 "../lib/SettingsPage.vala"
	adw_clamp_set_maximum_size (_tmp41_, 600);
#line 174 "../lib/SettingsPage.vala"
	adw_clamp_set_tightening_threshold (_tmp41_, 600);
#line 174 "../lib/SettingsPage.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp41_, TRUE);
#line 174 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp41_);
#line 174 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->content_area);
#line 174 "../lib/SettingsPage.vala"
	self->priv->content_area = _tmp41_;
#line 179 "../lib/SettingsPage.vala"
	_tmp42_ = self->priv->content_area;
#line 179 "../lib/SettingsPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp42_, "content-area");
#line 181 "../lib/SettingsPage.vala"
	_tmp43_ = self->priv->content_area;
#line 181 "../lib/SettingsPage.vala"
	_tmp44_ = _g_object_ref0 ((GtkWidget*) _tmp43_);
#line 181 "../lib/SettingsPage.vala"
	_tmp45_ = (GtkScrolledWindow*) gtk_scrolled_window_new ();
#line 181 "../lib/SettingsPage.vala"
	gtk_scrolled_window_set_child (_tmp45_, _tmp44_);
#line 181 "../lib/SettingsPage.vala"
	_g_object_unref0 (_tmp44_);
#line 181 "../lib/SettingsPage.vala"
	g_object_set (_tmp45_, "hscrollbar-policy", GTK_POLICY_NEVER, NULL);
#line 181 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp45_);
#line 181 "../lib/SettingsPage.vala"
	scrolled = _tmp45_;
#line 186 "../lib/SettingsPage.vala"
	_tmp46_ = gtk_size_group_new (GTK_SIZE_GROUP_HORIZONTAL);
#line 186 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->start_button_group);
#line 186 "../lib/SettingsPage.vala"
	self->priv->start_button_group = _tmp46_;
#line 187 "../lib/SettingsPage.vala"
	_tmp47_ = gtk_size_group_new (GTK_SIZE_GROUP_HORIZONTAL);
#line 187 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->end_button_group);
#line 187 "../lib/SettingsPage.vala"
	self->priv->end_button_group = _tmp47_;
#line 189 "../lib/SettingsPage.vala"
	_tmp48_ = (GtkActionBar*) gtk_action_bar_new ();
#line 189 "../lib/SettingsPage.vala"
	gtk_action_bar_set_revealed (_tmp48_, FALSE);
#line 189 "../lib/SettingsPage.vala"
	g_object_ref_sink (_tmp48_);
#line 189 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->action_bar);
#line 189 "../lib/SettingsPage.vala"
	self->priv->action_bar = _tmp48_;
#line 192 "../lib/SettingsPage.vala"
	_tmp49_ = self->priv->action_bar;
#line 192 "../lib/SettingsPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp49_, "action-area");
#line 194 "../lib/SettingsPage.vala"
	_tmp50_ = gtk_widget_get_layout_manager ((GtkWidget*) self);
#line 194 "../lib/SettingsPage.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) G_TYPE_CHECK_INSTANCE_CAST (_tmp50_, gtk_box_layout_get_type (), GtkBoxLayout), GTK_ORIENTATION_VERTICAL);
#line 195 "../lib/SettingsPage.vala"
	_tmp51_ = window_handle;
#line 195 "../lib/SettingsPage.vala"
	gtk_widget_set_parent ((GtkWidget*) _tmp51_, (GtkWidget*) self);
#line 196 "../lib/SettingsPage.vala"
	_tmp52_ = scrolled;
#line 196 "../lib/SettingsPage.vala"
	gtk_widget_set_parent ((GtkWidget*) _tmp52_, (GtkWidget*) self);
#line 197 "../lib/SettingsPage.vala"
	_tmp53_ = self->priv->action_bar;
#line 197 "../lib/SettingsPage.vala"
	gtk_widget_set_parent ((GtkWidget*) _tmp53_, (GtkWidget*) self);
#line 199 "../lib/SettingsPage.vala"
	_tmp54_ = _data1_->description_label;
#line 199 "../lib/SettingsPage.vala"
	g_object_bind_property_with_closures ((GObject*) self, "description", (GObject*) _tmp54_, "label", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 200 "../lib/SettingsPage.vala"
	_tmp55_ = title_label;
#line 200 "../lib/SettingsPage.vala"
	g_object_bind_property_with_closures ((GObject*) self, "title", (GObject*) _tmp55_, "label", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 201 "../lib/SettingsPage.vala"
	_tmp56_ = end_widget;
#line 201 "../lib/SettingsPage.vala"
	g_object_bind_property_with_closures ((GObject*) self, "show-end-title-buttons", (GObject*) _tmp56_, "visible", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 203 "../lib/SettingsPage.vala"
	g_signal_connect_data ((GObject*) self, "notify::description", (GCallback) __switchboard_settings_page___lambda4__g_object_notify, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 102 "../lib/SettingsPage.vala"
	_g_object_unref0 (scrolled);
#line 102 "../lib/SettingsPage.vala"
	_g_object_unref0 (window_handle);
#line 102 "../lib/SettingsPage.vala"
	_g_object_unref0 (headerbar);
#line 102 "../lib/SettingsPage.vala"
	_g_object_unref0 (header_clamp);
#line 102 "../lib/SettingsPage.vala"
	_g_object_unref0 (end_widget);
#line 102 "../lib/SettingsPage.vala"
	_g_object_unref0 (title_label);
#line 102 "../lib/SettingsPage.vala"
	block1_data_unref (_data1_);
#line 102 "../lib/SettingsPage.vala"
	_data1_ = NULL;
#line 102 "../lib/SettingsPage.vala"
	return obj;
#line 1180 "SettingsPage.c"
}

static void
switchboard_settings_page_base_init (SwitchboardSettingsPageClass * klass)
{
#line 99 "../lib/SettingsPage.vala"
	gtk_widget_class_set_css_name (GTK_WIDGET_CLASS (klass), "settingspage");
#line 1188 "SettingsPage.c"
}

static void
switchboard_settings_page_class_init (SwitchboardSettingsPageClass * klass,
                                      gpointer klass_data)
{
#line 10 "../lib/SettingsPage.vala"
	switchboard_settings_page_parent_class = g_type_class_peek_parent (klass);
#line 10 "../lib/SettingsPage.vala"
	g_type_class_adjust_private_offset (klass, &SwitchboardSettingsPage_private_offset);
#line 10 "../lib/SettingsPage.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_switchboard_settings_page_get_property;
#line 10 "../lib/SettingsPage.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_switchboard_settings_page_set_property;
#line 10 "../lib/SettingsPage.vala"
	G_OBJECT_CLASS (klass)->constructor = switchboard_settings_page_constructor;
#line 10 "../lib/SettingsPage.vala"
	G_OBJECT_CLASS (klass)->finalize = switchboard_settings_page_finalize;
#line 1207 "SettingsPage.c"
	/**
	     * Selects a colored icon to be displayed in a Granite.SettingsSidebar
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_PROPERTY] = g_param_spec_enum ("status-type", "status-type", "status-type", SWITCHBOARD_SETTINGS_PAGE_TYPE_STATUS_TYPE, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_NONE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1213 "SettingsPage.c"
	/**
	     * A header to be sorted under in a Granite.SettingsSidebar
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_HEADER_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_HEADER_PROPERTY] = g_param_spec_string ("header", "header", "header", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 1219 "SettingsPage.c"
	/**
	     * A status string to be displayed underneath the title in a Granite.SettingsSidebar
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_STATUS_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_STATUS_PROPERTY] = g_param_spec_string ("status", "status", "status", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 1225 "SettingsPage.c"
	/**
	     * An icon to be displayed in the header and sidebar
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_ICON_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_ICON_PROPERTY] = g_param_spec_object ("icon", "icon", "icon", g_icon_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 1231 "SettingsPage.c"
	/**
	     * A title to be displayed in a Granite.SettingsSidebar
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_TITLE_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_TITLE_PROPERTY] = g_param_spec_string ("title", "title", "title", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 1237 "SettingsPage.c"
	/**
	     * The child widget for the content area
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_CHILD_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_CHILD_PROPERTY] = g_param_spec_object ("child", "child", "child", gtk_widget_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1243 "SettingsPage.c"
	/**
	     * A {@link Gtk.Switch} that appears in the header area when #this.activatable is #true. #status_switch will be #null when #this.activatable is #false
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_STATUS_SWITCH_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_STATUS_SWITCH_PROPERTY] = g_param_spec_object ("status-switch", "status-switch", "status-switch", gtk_switch_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 1249 "SettingsPage.c"
	/**
	     * Creates a {@link Gtk.Switch} #status_switch in the header of #this
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_ACTIVATABLE_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_ACTIVATABLE_PROPERTY] = g_param_spec_boolean ("activatable", "activatable", "activatable", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 1255 "SettingsPage.c"
	/**
	     * Creates a {@link Adw.Avatar} to use instead of #icon
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_WITH_AVATAR_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_WITH_AVATAR_PROPERTY] = g_param_spec_boolean ("with-avatar", "with-avatar", "with-avatar", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 1261 "SettingsPage.c"
	/**
	     * Custom image to use with avatar
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_AVATAR_PAINTABLE_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_AVATAR_PAINTABLE_PROPERTY] = g_param_spec_object ("avatar-paintable", "avatar-paintable", "avatar-paintable", gdk_paintable_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1267 "SettingsPage.c"
	/**
	     * Creates a {@link Gtk.Label} with a page description in the header of #this
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_DESCRIPTION_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_DESCRIPTION_PROPERTY] = g_param_spec_string ("description", "description", "description", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 1273 "SettingsPage.c"
	/**
	     * Whether to show title buttons at the end of the header area
	     */
#line 10 "../lib/SettingsPage.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SWITCHBOARD_SETTINGS_PAGE_SHOW_END_TITLE_BUTTONS_PROPERTY, switchboard_settings_page_properties[SWITCHBOARD_SETTINGS_PAGE_SHOW_END_TITLE_BUTTONS_PROPERTY] = g_param_spec_boolean ("show-end-title-buttons", "show-end-title-buttons", "show-end-title-buttons", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 95 "../lib/SettingsPage.vala"
	gtk_widget_class_set_layout_manager_type (GTK_WIDGET_CLASS (klass), gtk_box_layout_get_type ());
#line 1281 "SettingsPage.c"
}

static void
switchboard_settings_page_instance_init (SwitchboardSettingsPage * self,
                                         gpointer klass)
{
	GThemedIcon* _tmp0_;
#line 10 "../lib/SettingsPage.vala"
	self->priv = switchboard_settings_page_get_instance_private (self);
#line 25 "../lib/SettingsPage.vala"
	self->priv->_status_type = SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_NONE;
#line 40 "../lib/SettingsPage.vala"
	_tmp0_ = (GThemedIcon*) g_themed_icon_new ("preferences-other");
#line 40 "../lib/SettingsPage.vala"
	self->priv->_icon = (GIcon*) _tmp0_;
#line 67 "../lib/SettingsPage.vala"
	self->priv->_activatable = FALSE;
#line 72 "../lib/SettingsPage.vala"
	self->priv->_with_avatar = FALSE;
#line 1301 "SettingsPage.c"
}

static void
switchboard_settings_page_finalize (GObject * obj)
{
	SwitchboardSettingsPage * self;
#line 10 "../lib/SettingsPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SWITCHBOARD_TYPE_SETTINGS_PAGE, SwitchboardSettingsPage);
#line 213 "../lib/SettingsPage.vala"
	while (TRUE) {
#line 1312 "SettingsPage.c"
		GtkWidget* _tmp0_;
		GtkWidget* _tmp1_;
#line 213 "../lib/SettingsPage.vala"
		_tmp0_ = gtk_widget_get_first_child ((GtkWidget*) self);
#line 213 "../lib/SettingsPage.vala"
		if (!(_tmp0_ != NULL)) {
#line 213 "../lib/SettingsPage.vala"
			break;
#line 1321 "SettingsPage.c"
		}
#line 214 "../lib/SettingsPage.vala"
		_tmp1_ = gtk_widget_get_first_child ((GtkWidget*) self);
#line 214 "../lib/SettingsPage.vala"
		gtk_widget_unparent (_tmp1_);
#line 1327 "SettingsPage.c"
	}
#line 30 "../lib/SettingsPage.vala"
	_g_free0 (self->priv->_header);
#line 35 "../lib/SettingsPage.vala"
	_g_free0 (self->priv->_status);
#line 40 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->_icon);
#line 45 "../lib/SettingsPage.vala"
	_g_free0 (self->priv->_title);
#line 62 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->_status_switch);
#line 77 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->_avatar_paintable);
#line 82 "../lib/SettingsPage.vala"
	_g_free0 (self->priv->_description);
#line 89 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->content_area);
#line 90 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->action_bar);
#line 91 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->start_button_group);
#line 92 "../lib/SettingsPage.vala"
	_g_object_unref0 (self->priv->end_button_group);
#line 10 "../lib/SettingsPage.vala"
	G_OBJECT_CLASS (switchboard_settings_page_parent_class)->finalize (obj);
#line 1353 "SettingsPage.c"
}

/**
 * SettingsPage is a {@link Gtk.Widget} subclass with properties used
 * by Switchboard.SettingsSidebar
 */
static GType
switchboard_settings_page_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (SwitchboardSettingsPageClass), (GBaseInitFunc) switchboard_settings_page_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) switchboard_settings_page_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SwitchboardSettingsPage), 0, (GInstanceInitFunc) switchboard_settings_page_instance_init, NULL };
	GType switchboard_settings_page_type_id;
	switchboard_settings_page_type_id = g_type_register_static (gtk_widget_get_type (), "SwitchboardSettingsPage", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
	SwitchboardSettingsPage_private_offset = g_type_add_instance_private (switchboard_settings_page_type_id, sizeof (SwitchboardSettingsPagePrivate));
	return switchboard_settings_page_type_id;
}

GType
switchboard_settings_page_get_type (void)
{
	static volatile gsize switchboard_settings_page_type_id__once = 0;
	if (g_once_init_enter (&switchboard_settings_page_type_id__once)) {
		GType switchboard_settings_page_type_id;
		switchboard_settings_page_type_id = switchboard_settings_page_get_type_once ();
		g_once_init_leave (&switchboard_settings_page_type_id__once, switchboard_settings_page_type_id);
	}
	return switchboard_settings_page_type_id__once;
}

static void
_vala_switchboard_settings_page_get_property (GObject * object,
                                              guint property_id,
                                              GValue * value,
                                              GParamSpec * pspec)
{
	SwitchboardSettingsPage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SWITCHBOARD_TYPE_SETTINGS_PAGE, SwitchboardSettingsPage);
#line 10 "../lib/SettingsPage.vala"
	switch (property_id) {
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_enum (value, switchboard_settings_page_get_status_type (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_HEADER_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_string (value, switchboard_settings_page_get_header (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_STATUS_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_string (value, switchboard_settings_page_get_status (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_ICON_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_object (value, switchboard_settings_page_get_icon (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_TITLE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_string (value, switchboard_settings_page_get_title (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_CHILD_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_object (value, switchboard_settings_page_get_child (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_STATUS_SWITCH_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_object (value, switchboard_settings_page_get_status_switch (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_ACTIVATABLE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_boolean (value, switchboard_settings_page_get_activatable (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_WITH_AVATAR_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_boolean (value, switchboard_settings_page_get_with_avatar (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_AVATAR_PAINTABLE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_object (value, switchboard_settings_page_get_avatar_paintable (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_DESCRIPTION_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_string (value, switchboard_settings_page_get_description (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_SHOW_END_TITLE_BUTTONS_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		g_value_set_boolean (value, switchboard_settings_page_get_show_end_title_buttons (self));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 1464 "SettingsPage.c"
		default:
#line 10 "../lib/SettingsPage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 10 "../lib/SettingsPage.vala"
		break;
#line 1470 "SettingsPage.c"
	}
}

static void
_vala_switchboard_settings_page_set_property (GObject * object,
                                              guint property_id,
                                              const GValue * value,
                                              GParamSpec * pspec)
{
	SwitchboardSettingsPage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, SWITCHBOARD_TYPE_SETTINGS_PAGE, SwitchboardSettingsPage);
#line 10 "../lib/SettingsPage.vala"
	switch (property_id) {
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_status_type (self, g_value_get_enum (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_HEADER_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_header (self, g_value_get_string (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_STATUS_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_status (self, g_value_get_string (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_ICON_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_icon (self, g_value_get_object (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_TITLE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_title (self, g_value_get_string (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_CHILD_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_child (self, g_value_get_object (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_STATUS_SWITCH_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_status_switch (self, g_value_get_object (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_ACTIVATABLE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_activatable (self, g_value_get_boolean (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_WITH_AVATAR_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_with_avatar (self, g_value_get_boolean (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_AVATAR_PAINTABLE_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_avatar_paintable (self, g_value_get_object (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_DESCRIPTION_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_description (self, g_value_get_string (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 10 "../lib/SettingsPage.vala"
		case SWITCHBOARD_SETTINGS_PAGE_SHOW_END_TITLE_BUTTONS_PROPERTY:
#line 10 "../lib/SettingsPage.vala"
		switchboard_settings_page_set_show_end_title_buttons (self, g_value_get_boolean (value));
#line 10 "../lib/SettingsPage.vala"
		break;
#line 1556 "SettingsPage.c"
		default:
#line 10 "../lib/SettingsPage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 10 "../lib/SettingsPage.vala"
		break;
#line 1562 "SettingsPage.c"
	}
}

