/* Application.c generated by valac 0.56.17, the Vala compiler
 * generated from Application.vala, do not modify */

/*
* Copyright 2011-2021 elementary, Inc. (https://elementary.io)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA.
*
* Authored by: Avi Romanoff <avi@romanoff.me>
*/

#include <gtk/gtk.h>
#include <glib-object.h>
#include <glib.h>
#include "switchboard.h"
#include <adwaita.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <granite-7.h>
#include <glib/gi18n-lib.h>
#include <gee.h>
#include <locale.h>
#include <gio/gdesktopappinfo.h>

#define GETTEXT_PACKAGE "io.elementary.settings"
#define LOCALEDIR "/usr/share/locale"
#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define SWITCHBOARD_TYPE_SWITCHBOARD_APP (switchboard_switchboard_app_get_type ())
#define SWITCHBOARD_SWITCHBOARD_APP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), SWITCHBOARD_TYPE_SWITCHBOARD_APP, SwitchboardSwitchboardApp))
#define SWITCHBOARD_SWITCHBOARD_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), SWITCHBOARD_TYPE_SWITCHBOARD_APP, SwitchboardSwitchboardAppClass))
#define SWITCHBOARD_IS_SWITCHBOARD_APP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SWITCHBOARD_TYPE_SWITCHBOARD_APP))
#define SWITCHBOARD_IS_SWITCHBOARD_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), SWITCHBOARD_TYPE_SWITCHBOARD_APP))
#define SWITCHBOARD_SWITCHBOARD_APP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), SWITCHBOARD_TYPE_SWITCHBOARD_APP, SwitchboardSwitchboardAppClass))

typedef struct _SwitchboardSwitchboardApp SwitchboardSwitchboardApp;
typedef struct _SwitchboardSwitchboardAppClass SwitchboardSwitchboardAppClass;
typedef struct _SwitchboardSwitchboardAppPrivate SwitchboardSwitchboardAppPrivate;

#define SWITCHBOARD_TYPE_CATEGORY_VIEW (switchboard_category_view_get_type ())
#define SWITCHBOARD_CATEGORY_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), SWITCHBOARD_TYPE_CATEGORY_VIEW, SwitchboardCategoryView))
#define SWITCHBOARD_CATEGORY_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), SWITCHBOARD_TYPE_CATEGORY_VIEW, SwitchboardCategoryViewClass))
#define SWITCHBOARD_IS_CATEGORY_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SWITCHBOARD_TYPE_CATEGORY_VIEW))
#define SWITCHBOARD_IS_CATEGORY_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), SWITCHBOARD_TYPE_CATEGORY_VIEW))
#define SWITCHBOARD_CATEGORY_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), SWITCHBOARD_TYPE_CATEGORY_VIEW, SwitchboardCategoryViewClass))

typedef struct _SwitchboardCategoryView SwitchboardCategoryView;
typedef struct _SwitchboardCategoryViewClass SwitchboardCategoryViewClass;
enum  {
	SWITCHBOARD_SWITCHBOARD_APP_0_PROPERTY,
	SWITCHBOARD_SWITCHBOARD_APP_NUM_PROPERTIES
};
static GParamSpec* switchboard_switchboard_app_properties[SWITCHBOARD_SWITCHBOARD_APP_NUM_PROPERTIES];
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
typedef struct _Block1Data Block1Data;
typedef struct _Block2Data Block2Data;

#define SWITCHBOARD_TYPE_SEARCH_ENTRY (switchboard_search_entry_get_type ())
typedef struct _SwitchboardSearchEntry SwitchboardSearchEntry;
#define _switchboard_search_entry_free0(var) ((var == NULL) ? NULL : (var = (switchboard_search_entry_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _SwitchboardSwitchboardApp {
	GtkApplication parent_instance;
	SwitchboardSwitchboardAppPrivate * priv;
};

struct _SwitchboardSwitchboardAppClass {
	GtkApplicationClass parent_class;
};

struct _SwitchboardSwitchboardAppPrivate {
	GHashTable* plug_widgets;
	AdwNavigationView* navigation_view;
	GtkWindow* main_window;
	SwitchboardCategoryView* category_view;
};

struct _Block1Data {
	int _ref_count_;
	SwitchboardSwitchboardApp* self;
	GraniteSettings* granite_settings;
	GtkSettings* gtk_settings;
};

struct _Block2Data {
	int _ref_count_;
	SwitchboardSwitchboardApp* self;
	SwitchboardPlug* plug;
};

struct _SwitchboardSearchEntry {
	gchar* plug_name;
	gchar* ui_elements;
	gchar* open_window;
};

static gint SwitchboardSwitchboardApp_private_offset;
static gpointer switchboard_switchboard_app_parent_class = NULL;
static gboolean switchboard_switchboard_app_opened_directly;
static gboolean switchboard_switchboard_app_opened_directly = FALSE;
static gchar* switchboard_switchboard_app_link;
static gchar* switchboard_switchboard_app_link = NULL;
static gchar* switchboard_switchboard_app_open_window;
static gchar* switchboard_switchboard_app_open_window = NULL;
static gchar* switchboard_switchboard_app_plug_to_open;
static gchar* switchboard_switchboard_app_plug_to_open = NULL;

VALA_EXTERN GType switchboard_switchboard_app_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (SwitchboardSwitchboardApp, g_object_unref)
VALA_EXTERN GType switchboard_category_view_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (SwitchboardCategoryView, g_object_unref)
static void switchboard_switchboard_app_real_open (GApplication* base,
                                            GFile** files,
                                            gint files_length1,
                                            const gchar* hint);
static void switchboard_switchboard_app_real_startup (GApplication* base);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void __lambda18_ (Block1Data* _data1_);
static void ___lambda18__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void switchboard_switchboard_app_action_navigate_back (SwitchboardSwitchboardApp* self);
static void _switchboard_switchboard_app_action_navigate_back_g_simple_action_activate (GSimpleAction* _sender,
                                                                                 GVariant* parameter,
                                                                                 gpointer self);
static void _g_application_quit_g_simple_action_activate (GSimpleAction* _sender,
                                                   GVariant* parameter,
                                                   gpointer self);
static void switchboard_switchboard_app_real_activate (GApplication* base);
VALA_EXTERN gboolean switchboard_switchboard_app_load_setting_path (SwitchboardSwitchboardApp* self,
                                                        const gchar* setting_path,
                                                        SwitchboardPlugsManager* plugsmanager);
VALA_EXTERN void switchboard_switchboard_app_load_plug (SwitchboardSwitchboardApp* self,
                                            SwitchboardPlug* plug);
static void _g_object_unref0_ (gpointer var);
VALA_EXTERN SwitchboardCategoryView* switchboard_category_view_new (const gchar* plug);
VALA_EXTERN SwitchboardCategoryView* switchboard_category_view_construct (GType object_type,
                                                              const gchar* plug);
static void __lambda17_ (SwitchboardSwitchboardApp* self);
static void ___lambda17__g_application_shutdown (GApplication* _sender,
                                          gpointer self);
static void switchboard_switchboard_app_update_navigation (SwitchboardSwitchboardApp* self);
static void _switchboard_switchboard_app_update_navigation_adw_navigation_view_popped (AdwNavigationView* _sender,
                                                                                AdwNavigationPage* page,
                                                                                gpointer self);
static void _switchboard_switchboard_app_update_navigation_adw_navigation_view_pushed (AdwNavigationView* _sender,
                                                                                gpointer self);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static gboolean __lambda8_ (Block2Data* _data2_);
static void _switchboard_plug_hidden_adw_navigation_page_hidden (AdwNavigationPage* _sender,
                                                          gpointer self);
static void _switchboard_plug_shown_adw_navigation_page_shown (AdwNavigationPage* _sender,
                                                        gpointer self);
VALA_EXTERN GType switchboard_search_entry_get_type (void) G_GNUC_CONST ;
VALA_EXTERN SwitchboardSearchEntry* switchboard_search_entry_dup (const SwitchboardSearchEntry* self);
VALA_EXTERN void switchboard_search_entry_free (SwitchboardSearchEntry* self);
VALA_EXTERN void switchboard_search_entry_copy (const SwitchboardSearchEntry* self,
                                    SwitchboardSearchEntry* dest);
VALA_EXTERN void switchboard_search_entry_destroy (SwitchboardSearchEntry* self);
G_DEFINE_AUTO_CLEANUP_CLEAR_FUNC (SwitchboardSearchEntry, switchboard_search_entry_destroy)
VALA_EXTERN GeeArrayList* switchboard_category_view_get_plug_search_result (SwitchboardCategoryView* self);
static gboolean __lambda9_ (Block2Data* _data2_,
                     SwitchboardSearchEntry* entry);
static gboolean ___lambda9__gee_forall_func (gpointer g,
                                      gpointer self);
static gboolean ___lambda8__gsource_func (gpointer self);
static gint switchboard_switchboard_app_main (gchar** args,
                                       gint args_length1);
VALA_EXTERN SwitchboardSwitchboardApp* switchboard_switchboard_app_new (void);
VALA_EXTERN SwitchboardSwitchboardApp* switchboard_switchboard_app_construct (GType object_type);
static GObject * switchboard_switchboard_app_constructor (GType type,
                                                   guint n_construct_properties,
                                                   GObjectConstructParam * construct_properties);
static void switchboard_switchboard_app_finalize (GObject * obj);
static GType switchboard_switchboard_app_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);

static inline gpointer
switchboard_switchboard_app_get_instance_private (SwitchboardSwitchboardApp* self)
{
	return G_STRUCT_MEMBER_P (self, SwitchboardSwitchboardApp_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 55 "../src/Application.vala"
	return self ? g_object_ref (self) : NULL;
#line 231 "Application.c"
}

static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1588 "glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1589 "glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1589 "glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 253 "Application.c"
	} else {
#line 1589 "glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 257 "Application.c"
	}
#line 1589 "glib-2.0.vapi"
	if (_tmp1_) {
#line 1589 "glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 263 "Application.c"
	} else {
#line 1589 "glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 267 "Application.c"
	}
#line 1589 "glib-2.0.vapi"
	if (_tmp0_) {
#line 271 "Application.c"
		gchar* _tmp2_;
#line 1590 "glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1590 "glib-2.0.vapi"
		result = _tmp2_;
#line 1590 "glib-2.0.vapi"
		return result;
#line 279 "Application.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1593 "glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1593 "glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1593 "glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1593 "glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1593 "glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1593 "glib-2.0.vapi"
		regex = _tmp6_;
#line 1593 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1593 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 307 "Application.c"
				goto __catch0_g_regex_error;
			}
#line 1593 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1593 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1593 "glib-2.0.vapi"
			return NULL;
#line 316 "Application.c"
		}
#line 1594 "glib-2.0.vapi"
		_tmp8_ = regex;
#line 1594 "glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1594 "glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1594 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1594 "glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1594 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 330 "Application.c"
				goto __catch0_g_regex_error;
			}
#line 1594 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1594 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1594 "glib-2.0.vapi"
			return NULL;
#line 339 "Application.c"
		}
#line 1594 "glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1594 "glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1594 "glib-2.0.vapi"
		result = _tmp10_;
#line 1594 "glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1594 "glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1594 "glib-2.0.vapi"
		return result;
#line 353 "Application.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
#line 1592 "glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1596 "glib-2.0.vapi"
		g_assert_not_reached ();
#line 362 "Application.c"
	}
	__finally0:
#line 1592 "glib-2.0.vapi"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1592 "glib-2.0.vapi"
	g_clear_error (&_inner_error0_);
#line 1592 "glib-2.0.vapi"
	return NULL;
#line 371 "Application.c"
}

static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	glong result;
#line 1501 "glib-2.0.vapi"
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
#line 1501 "glib-2.0.vapi"
	end = _tmp0_;
#line 1502 "glib-2.0.vapi"
	_tmp1_ = end;
#line 1502 "glib-2.0.vapi"
	if (_tmp1_ == NULL) {
#line 1503 "glib-2.0.vapi"
		result = maxlen;
#line 1503 "glib-2.0.vapi"
		return result;
#line 394 "Application.c"
	} else {
		gchar* _tmp2_;
#line 1505 "glib-2.0.vapi"
		_tmp2_ = end;
#line 1505 "glib-2.0.vapi"
		result = (glong) (_tmp2_ - str);
#line 1505 "glib-2.0.vapi"
		return result;
#line 403 "Application.c"
	}
}

static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	gchar* _tmp3_;
	gchar* result;
#line 1512 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1514 "glib-2.0.vapi"
	if (offset >= ((glong) 0)) {
#line 1514 "glib-2.0.vapi"
		_tmp0_ = len >= ((glong) 0);
#line 422 "Application.c"
	} else {
#line 1514 "glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 426 "Application.c"
	}
#line 1514 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1516 "glib-2.0.vapi"
		string_length = string_strnlen ((gchar*) self, offset + len);
#line 432 "Application.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 1518 "glib-2.0.vapi"
		_tmp1_ = strlen (self);
#line 1518 "glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1518 "glib-2.0.vapi"
		string_length = (glong) _tmp2_;
#line 442 "Application.c"
	}
#line 1521 "glib-2.0.vapi"
	if (offset < ((glong) 0)) {
#line 1522 "glib-2.0.vapi"
		offset = string_length + offset;
#line 1523 "glib-2.0.vapi"
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
#line 450 "Application.c"
	} else {
#line 1525 "glib-2.0.vapi"
		g_return_val_if_fail (offset <= string_length, NULL);
#line 454 "Application.c"
	}
#line 1527 "glib-2.0.vapi"
	if (len < ((glong) 0)) {
#line 1528 "glib-2.0.vapi"
		len = string_length - offset;
#line 460 "Application.c"
	}
#line 1530 "glib-2.0.vapi"
	g_return_val_if_fail ((offset + len) <= string_length, NULL);
#line 1531 "glib-2.0.vapi"
	_tmp3_ = g_strndup (((gchar*) self) + offset, (gsize) len);
#line 1531 "glib-2.0.vapi"
	result = _tmp3_;
#line 1531 "glib-2.0.vapi"
	return result;
#line 470 "Application.c"
}

static gint
string_last_index_of_char (const gchar* self,
                           gunichar c,
                           gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
#line 1214 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1215 "glib-2.0.vapi"
	_tmp0_ = g_utf8_strrchr (((gchar*) self) + start_index, (gssize) -1, c);
#line 1215 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1217 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1217 "glib-2.0.vapi"
	if (_tmp1_ != NULL) {
#line 492 "Application.c"
		gchar* _tmp2_;
#line 1218 "glib-2.0.vapi"
		_tmp2_ = _result_;
#line 1218 "glib-2.0.vapi"
		result = (gint) (_tmp2_ - ((gchar*) self));
#line 1218 "glib-2.0.vapi"
		return result;
#line 500 "Application.c"
	} else {
#line 1220 "glib-2.0.vapi"
		result = -1;
#line 1220 "glib-2.0.vapi"
		return result;
#line 506 "Application.c"
	}
}

static void
switchboard_switchboard_app_real_open (GApplication* base,
                                       GFile** files,
                                       gint files_length1,
                                       const gchar* hint)
{
	SwitchboardSwitchboardApp * self;
	GFile* file = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	GFile* _tmp2_;
	GFile* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gboolean _tmp6_;
#line 54 "../src/Application.vala"
	self = (SwitchboardSwitchboardApp*) base;
#line 54 "../src/Application.vala"
	g_return_if_fail (hint != NULL);
#line 55 "../src/Application.vala"
	_tmp0_ = files[0];
#line 55 "../src/Application.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 55 "../src/Application.vala"
	file = _tmp1_;
#line 56 "../src/Application.vala"
	_tmp2_ = file;
#line 56 "../src/Application.vala"
	if (_tmp2_ == NULL) {
#line 57 "../src/Application.vala"
		_g_object_unref0 (file);
#line 57 "../src/Application.vala"
		return;
#line 543 "Application.c"
	}
#line 60 "../src/Application.vala"
	_tmp3_ = file;
#line 60 "../src/Application.vala"
	_tmp4_ = g_file_get_uri_scheme (_tmp3_);
#line 60 "../src/Application.vala"
	_tmp5_ = _tmp4_;
#line 60 "../src/Application.vala"
	_tmp6_ = g_strcmp0 (_tmp5_, "settings") == 0;
#line 60 "../src/Application.vala"
	_g_free0 (_tmp5_);
#line 60 "../src/Application.vala"
	if (_tmp6_) {
#line 557 "Application.c"
		GFile* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		const gchar* _tmp11_;
#line 61 "../src/Application.vala"
		_tmp7_ = file;
#line 61 "../src/Application.vala"
		_tmp8_ = g_file_get_uri (_tmp7_);
#line 61 "../src/Application.vala"
		_tmp9_ = _tmp8_;
#line 61 "../src/Application.vala"
		_tmp10_ = string_replace (_tmp9_, "settings://", "");
#line 61 "../src/Application.vala"
		_g_free0 (switchboard_switchboard_app_link);
#line 61 "../src/Application.vala"
		switchboard_switchboard_app_link = _tmp10_;
#line 61 "../src/Application.vala"
		_g_free0 (_tmp9_);
#line 62 "../src/Application.vala"
		_tmp11_ = switchboard_switchboard_app_link;
#line 62 "../src/Application.vala"
		if (g_str_has_suffix (_tmp11_, "/")) {
#line 581 "Application.c"
			const gchar* _tmp12_;
			const gchar* _tmp13_;
			gchar* _tmp14_;
#line 63 "../src/Application.vala"
			_tmp12_ = switchboard_switchboard_app_link;
#line 63 "../src/Application.vala"
			_tmp13_ = switchboard_switchboard_app_link;
#line 63 "../src/Application.vala"
			_tmp14_ = string_substring (_tmp12_, (glong) 0, (glong) string_last_index_of_char (_tmp13_, (gunichar) '/', 0));
#line 63 "../src/Application.vala"
			_g_free0 (switchboard_switchboard_app_link);
#line 63 "../src/Application.vala"
			switchboard_switchboard_app_link = _tmp14_;
#line 595 "Application.c"
		}
	} else {
#line 66 "../src/Application.vala"
		g_critical ("Application.vala:66: Calling Switchboard directly is unsupported, plea" \
"se use the settings:// scheme instead");
#line 600 "Application.c"
	}
#line 69 "../src/Application.vala"
	g_application_activate ((GApplication*) self);
#line 54 "../src/Application.vala"
	_g_object_unref0 (file);
#line 606 "Application.c"
}

static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 72 "../src/Application.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 72 "../src/Application.vala"
	return _data1_;
#line 616 "Application.c"
}

static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 72 "../src/Application.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 626 "Application.c"
		SwitchboardSwitchboardApp* self;
#line 72 "../src/Application.vala"
		self = _data1_->self;
#line 72 "../src/Application.vala"
		_g_object_unref0 (_data1_->gtk_settings);
#line 72 "../src/Application.vala"
		_g_object_unref0 (_data1_->granite_settings);
#line 72 "../src/Application.vala"
		_g_object_unref0 (self);
#line 72 "../src/Application.vala"
		g_slice_free (Block1Data, _data1_);
#line 638 "Application.c"
	}
}

static void
__lambda18_ (Block1Data* _data1_)
{
	SwitchboardSwitchboardApp* self;
	GraniteSettingsColorScheme _tmp0_;
	GraniteSettingsColorScheme _tmp1_;
#line 82 "../src/Application.vala"
	self = _data1_->self;
#line 83 "../src/Application.vala"
	_tmp0_ = granite_settings_get_prefers_color_scheme (_data1_->granite_settings);
#line 83 "../src/Application.vala"
	_tmp1_ = _tmp0_;
#line 83 "../src/Application.vala"
	g_object_set (_data1_->gtk_settings, "gtk-application-prefer-dark-theme", _tmp1_ == GRANITE_SETTINGS_COLOR_SCHEME_DARK, NULL);
#line 656 "Application.c"
}

static void
___lambda18__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 82 "../src/Application.vala"
	__lambda18_ (self);
#line 666 "Application.c"
}

static void
_switchboard_switchboard_app_action_navigate_back_g_simple_action_activate (GSimpleAction* _sender,
                                                                            GVariant* parameter,
                                                                            gpointer self)
{
#line 94 "../src/Application.vala"
	switchboard_switchboard_app_action_navigate_back ((SwitchboardSwitchboardApp*) self);
#line 676 "Application.c"
}

static void
_g_application_quit_g_simple_action_activate (GSimpleAction* _sender,
                                              GVariant* parameter,
                                              gpointer self)
{
#line 95 "../src/Application.vala"
	g_application_quit ((GApplication*) self);
#line 686 "Application.c"
}

static void
switchboard_switchboard_app_real_startup (GApplication* base)
{
	SwitchboardSwitchboardApp * self;
	Block1Data* _data1_;
	GraniteSettings* _tmp0_;
	GraniteSettings* _tmp1_;
	GtkSettings* _tmp2_;
	GtkSettings* _tmp3_;
	GraniteSettingsColorScheme _tmp4_;
	GraniteSettingsColorScheme _tmp5_;
	GSimpleAction* back_action = NULL;
	GSimpleAction* _tmp6_;
	GSimpleAction* quit_action = NULL;
	GSimpleAction* _tmp7_;
	gchar* _tmp8_;
	gchar** _tmp9_;
	gchar** _tmp10_;
	gint _tmp10__length1;
#line 72 "../src/Application.vala"
	self = (SwitchboardSwitchboardApp*) base;
#line 72 "../src/Application.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 72 "../src/Application.vala"
	_data1_->_ref_count_ = 1;
#line 72 "../src/Application.vala"
	_data1_->self = g_object_ref (self);
#line 73 "../src/Application.vala"
	G_APPLICATION_CLASS (switchboard_switchboard_app_parent_class)->startup ((GApplication*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_application_get_type (), GtkApplication));
#line 75 "../src/Application.vala"
	granite_init ();
#line 77 "../src/Application.vala"
	_tmp0_ = granite_settings_get_default ();
#line 77 "../src/Application.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 77 "../src/Application.vala"
	_data1_->granite_settings = _tmp1_;
#line 78 "../src/Application.vala"
	_tmp2_ = gtk_settings_get_default ();
#line 78 "../src/Application.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 78 "../src/Application.vala"
	_data1_->gtk_settings = _tmp3_;
#line 80 "../src/Application.vala"
	_tmp4_ = granite_settings_get_prefers_color_scheme (_data1_->granite_settings);
#line 80 "../src/Application.vala"
	_tmp5_ = _tmp4_;
#line 80 "../src/Application.vala"
	g_object_set (_data1_->gtk_settings, "gtk-application-prefer-dark-theme", _tmp5_ == GRANITE_SETTINGS_COLOR_SCHEME_DARK, NULL);
#line 82 "../src/Application.vala"
	g_signal_connect_data ((GObject*) _data1_->granite_settings, "notify::prefers-color-scheme", (GCallback) ___lambda18__g_object_notify, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 86 "../src/Application.vala"
	_tmp6_ = g_simple_action_new ("back", NULL);
#line 86 "../src/Application.vala"
	back_action = _tmp6_;
#line 87 "../src/Application.vala"
	_tmp7_ = g_simple_action_new ("quit", NULL);
#line 87 "../src/Application.vala"
	quit_action = _tmp7_;
#line 89 "../src/Application.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) back_action);
#line 90 "../src/Application.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) quit_action);
#line 92 "../src/Application.vala"
	_tmp8_ = g_strdup ("<Control>q");
#line 92 "../src/Application.vala"
	_tmp9_ = g_new0 (gchar*, 1 + 1);
#line 92 "../src/Application.vala"
	_tmp9_[0] = _tmp8_;
#line 92 "../src/Application.vala"
	_tmp10_ = _tmp9_;
#line 92 "../src/Application.vala"
	_tmp10__length1 = 1;
#line 92 "../src/Application.vala"
	gtk_application_set_accels_for_action ((GtkApplication*) self, "app.quit", _tmp10_);
#line 92 "../src/Application.vala"
	_tmp10_ = (_vala_array_free (_tmp10_, _tmp10__length1, (GDestroyNotify) g_free), NULL);
#line 94 "../src/Application.vala"
	g_signal_connect_object (back_action, "activate", (GCallback) _switchboard_switchboard_app_action_navigate_back_g_simple_action_activate, self, 0);
#line 95 "../src/Application.vala"
	g_signal_connect_object (quit_action, "activate", (GCallback) _g_application_quit_g_simple_action_activate, (GApplication*) self, 0);
#line 72 "../src/Application.vala"
	_g_object_unref0 (quit_action);
#line 72 "../src/Application.vala"
	_g_object_unref0 (back_action);
#line 72 "../src/Application.vala"
	block1_data_unref (_data1_);
#line 72 "../src/Application.vala"
	_data1_ = NULL;
#line 778 "Application.c"
}

static void
_g_object_unref0_ (gpointer var)
{
#line 130 "../src/Application.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 786 "Application.c"
}

static void
__lambda17_ (SwitchboardSwitchboardApp* self)
{
	AdwNavigationView* _tmp0_;
	AdwNavigationPage* _tmp1_;
	AdwNavigationPage* _tmp2_;
#line 166 "../src/Application.vala"
	_tmp0_ = self->priv->navigation_view;
#line 166 "../src/Application.vala"
	_tmp1_ = adw_navigation_view_get_visible_page (_tmp0_);
#line 166 "../src/Application.vala"
	_tmp2_ = _tmp1_;
#line 166 "../src/Application.vala"
	g_signal_emit_by_name (_tmp2_, "hidden");
#line 803 "Application.c"
}

static void
___lambda17__g_application_shutdown (GApplication* _sender,
                                     gpointer self)
{
#line 165 "../src/Application.vala"
	__lambda17_ ((SwitchboardSwitchboardApp*) self);
#line 812 "Application.c"
}

static void
_switchboard_switchboard_app_update_navigation_adw_navigation_view_popped (AdwNavigationView* _sender,
                                                                           AdwNavigationPage* page,
                                                                           gpointer self)
{
#line 169 "../src/Application.vala"
	switchboard_switchboard_app_update_navigation ((SwitchboardSwitchboardApp*) self);
#line 822 "Application.c"
}

static void
_switchboard_switchboard_app_update_navigation_adw_navigation_view_pushed (AdwNavigationView* _sender,
                                                                           gpointer self)
{
#line 170 "../src/Application.vala"
	switchboard_switchboard_app_update_navigation ((SwitchboardSwitchboardApp*) self);
#line 831 "Application.c"
}

static void
switchboard_switchboard_app_real_activate (GApplication* base)
{
	SwitchboardSwitchboardApp * self;
	SwitchboardPlugsManager* plugsmanager = NULL;
	SwitchboardPlugsManager* _tmp0_;
	const gchar* _tmp1_;
	GList* _tmp21_;
	GHashTable* _tmp24_;
	const gchar* _tmp25_;
	SwitchboardCategoryView* _tmp26_;
	AdwNavigationView* _tmp27_ = NULL;
	AdwNavigationView* _tmp28_;
	SwitchboardCategoryView* _tmp29_;
	GtkApplication* _tmp30_;
	AdwNavigationView* _tmp31_;
	GtkWidget* _tmp32_;
	const gchar* _tmp33_;
	const gchar* _tmp34_;
	gchar* _tmp35_;
	gchar* _tmp36_;
	GtkGrid* _tmp37_ = NULL;
	GtkWindow* _tmp38_ = NULL;
	GtkWindow* _tmp39_;
	GtkWindow* _tmp40_;
	GSettings* settings = NULL;
	GSettings* _tmp41_;
	GSettings* _tmp42_;
	GtkWindow* _tmp43_;
	GSettings* _tmp44_;
	GtkWindow* _tmp45_;
	GSettings* _tmp46_;
	GSettings* _tmp48_;
	GtkWindow* _tmp49_;
	AdwNavigationView* _tmp50_;
	AdwNavigationView* _tmp51_;
#line 98 "../src/Application.vala"
	self = (SwitchboardSwitchboardApp*) base;
#line 99 "../src/Application.vala"
	_tmp0_ = switchboard_plugs_manager_get_default ();
#line 99 "../src/Application.vala"
	plugsmanager = _tmp0_;
#line 100 "../src/Application.vala"
	_tmp1_ = switchboard_switchboard_app_link;
#line 100 "../src/Application.vala"
	if (_tmp1_ != NULL) {
#line 880 "Application.c"
		gboolean plug_found = FALSE;
		const gchar* _tmp2_;
		SwitchboardPlugsManager* _tmp3_;
#line 101 "../src/Application.vala"
		_tmp2_ = switchboard_switchboard_app_link;
#line 101 "../src/Application.vala"
		_tmp3_ = plugsmanager;
#line 101 "../src/Application.vala"
		plug_found = switchboard_switchboard_app_load_setting_path (self, _tmp2_, _tmp3_);
#line 103 "../src/Application.vala"
		if (plug_found) {
#line 104 "../src/Application.vala"
			_g_free0 (switchboard_switchboard_app_link);
#line 104 "../src/Application.vala"
			switchboard_switchboard_app_link = NULL;
#line 107 "../src/Application.vala"
			switchboard_switchboard_app_opened_directly = TRUE;
#line 898 "Application.c"
		} else {
			const gchar* _tmp4_;
			gchar* _tmp5_;
			gchar* _tmp6_;
#line 109 "../src/Application.vala"
			_tmp4_ = switchboard_switchboard_app_link;
#line 109 "../src/Application.vala"
			_tmp5_ = g_strdup_printf (_ ("Specified link '%s' does not exist, going back to the main panel"), _tmp4_);
#line 109 "../src/Application.vala"
			_tmp6_ = _tmp5_;
#line 109 "../src/Application.vala"
			g_warning ("Application.vala:109: %s", _tmp6_);
#line 109 "../src/Application.vala"
			_g_free0 (_tmp6_);
#line 913 "Application.c"
		}
	} else {
		const gchar* _tmp7_;
#line 111 "../src/Application.vala"
		_tmp7_ = switchboard_switchboard_app_plug_to_open;
#line 111 "../src/Application.vala"
		if (_tmp7_ != NULL) {
#line 921 "Application.c"
			{
				GeeIterator* _plug_it = NULL;
				SwitchboardPlugsManager* _tmp8_;
				GeeCollection* _tmp9_;
				GeeCollection* _tmp10_;
				GeeIterator* _tmp11_;
				GeeIterator* _tmp12_;
#line 112 "../src/Application.vala"
				_tmp8_ = plugsmanager;
#line 112 "../src/Application.vala"
				_tmp9_ = switchboard_plugs_manager_get_plugs (_tmp8_);
#line 112 "../src/Application.vala"
				_tmp10_ = _tmp9_;
#line 112 "../src/Application.vala"
				_tmp11_ = gee_iterable_iterator ((GeeIterable*) _tmp10_);
#line 112 "../src/Application.vala"
				_tmp12_ = _tmp11_;
#line 112 "../src/Application.vala"
				_g_object_unref0 (_tmp10_);
#line 112 "../src/Application.vala"
				_plug_it = _tmp12_;
#line 112 "../src/Application.vala"
				while (TRUE) {
#line 945 "Application.c"
					GeeIterator* _tmp13_;
					SwitchboardPlug* plug = NULL;
					GeeIterator* _tmp14_;
					gpointer _tmp15_;
					const gchar* _tmp16_;
					SwitchboardPlug* _tmp17_;
					const gchar* _tmp18_;
					const gchar* _tmp19_;
#line 112 "../src/Application.vala"
					_tmp13_ = _plug_it;
#line 112 "../src/Application.vala"
					if (!gee_iterator_next (_tmp13_)) {
#line 112 "../src/Application.vala"
						break;
#line 960 "Application.c"
					}
#line 112 "../src/Application.vala"
					_tmp14_ = _plug_it;
#line 112 "../src/Application.vala"
					_tmp15_ = gee_iterator_get (_tmp14_);
#line 112 "../src/Application.vala"
					plug = (SwitchboardPlug*) _tmp15_;
#line 113 "../src/Application.vala"
					_tmp16_ = switchboard_switchboard_app_plug_to_open;
#line 113 "../src/Application.vala"
					_tmp17_ = plug;
#line 113 "../src/Application.vala"
					_tmp18_ = switchboard_plug_get_code_name (_tmp17_);
#line 113 "../src/Application.vala"
					_tmp19_ = _tmp18_;
#line 113 "../src/Application.vala"
					if (g_str_has_suffix (_tmp16_, _tmp19_)) {
#line 978 "Application.c"
						SwitchboardPlug* _tmp20_;
#line 114 "../src/Application.vala"
						_tmp20_ = plug;
#line 114 "../src/Application.vala"
						switchboard_switchboard_app_load_plug (self, _tmp20_);
#line 115 "../src/Application.vala"
						_g_free0 (switchboard_switchboard_app_plug_to_open);
#line 115 "../src/Application.vala"
						switchboard_switchboard_app_plug_to_open = NULL;
#line 118 "../src/Application.vala"
						switchboard_switchboard_app_opened_directly = TRUE;
#line 119 "../src/Application.vala"
						_g_object_unref0 (plug);
#line 119 "../src/Application.vala"
						break;
#line 994 "Application.c"
					}
#line 112 "../src/Application.vala"
					_g_object_unref0 (plug);
#line 998 "Application.c"
				}
#line 112 "../src/Application.vala"
				_g_object_unref0 (_plug_it);
#line 1002 "Application.c"
			}
		}
	}
#line 125 "../src/Application.vala"
	_tmp21_ = gtk_application_get_windows ((GtkApplication*) self);
#line 125 "../src/Application.vala"
	if (g_list_length (_tmp21_) > ((guint) 0)) {
#line 1010 "Application.c"
		GList* _tmp22_;
		gconstpointer _tmp23_;
#line 126 "../src/Application.vala"
		_tmp22_ = gtk_application_get_windows ((GtkApplication*) self);
#line 126 "../src/Application.vala"
		_tmp23_ = _tmp22_->data;
#line 126 "../src/Application.vala"
		gtk_window_present ((GtkWindow*) _tmp23_);
#line 127 "../src/Application.vala"
		_g_object_unref0 (plugsmanager);
#line 127 "../src/Application.vala"
		return;
#line 1023 "Application.c"
	}
#line 130 "../src/Application.vala"
	_tmp24_ = g_hash_table_new_full (NULL, NULL, _g_object_unref0_, _g_object_unref0_);
#line 130 "../src/Application.vala"
	_g_hash_table_unref0 (self->priv->plug_widgets);
#line 130 "../src/Application.vala"
	self->priv->plug_widgets = _tmp24_;
#line 132 "../src/Application.vala"
	_tmp25_ = switchboard_switchboard_app_plug_to_open;
#line 132 "../src/Application.vala"
	_tmp26_ = switchboard_category_view_new (_tmp25_);
#line 132 "../src/Application.vala"
	g_object_ref_sink (_tmp26_);
#line 132 "../src/Application.vala"
	_g_object_unref0 (self->priv->category_view);
#line 132 "../src/Application.vala"
	self->priv->category_view = _tmp26_;
#line 134 "../src/Application.vala"
	_tmp27_ = (AdwNavigationView*) adw_navigation_view_new ();
#line 134 "../src/Application.vala"
	adw_navigation_view_set_pop_on_escape (_tmp27_, FALSE);
#line 134 "../src/Application.vala"
	g_object_ref_sink (_tmp27_);
#line 134 "../src/Application.vala"
	_g_object_unref0 (self->priv->navigation_view);
#line 134 "../src/Application.vala"
	self->priv->navigation_view = _tmp27_;
#line 137 "../src/Application.vala"
	_tmp28_ = self->priv->navigation_view;
#line 137 "../src/Application.vala"
	_tmp29_ = self->priv->category_view;
#line 137 "../src/Application.vala"
	adw_navigation_view_add (_tmp28_, (AdwNavigationPage*) _tmp29_);
#line 139 "../src/Application.vala"
	_tmp30_ = _g_object_ref0 ((GtkApplication*) self);
#line 139 "../src/Application.vala"
	_tmp31_ = self->priv->navigation_view;
#line 139 "../src/Application.vala"
	_tmp32_ = _g_object_ref0 ((GtkWidget*) _tmp31_);
#line 139 "../src/Application.vala"
	_tmp33_ = g_application_get_application_id ((GApplication*) self);
#line 139 "../src/Application.vala"
	_tmp34_ = _tmp33_;
#line 139 "../src/Application.vala"
	_tmp35_ = g_strdup (_tmp34_);
#line 139 "../src/Application.vala"
	_tmp36_ = g_strdup (_ ("System Settings"));
#line 139 "../src/Application.vala"
	_tmp37_ = (GtkGrid*) gtk_grid_new ();
#line 139 "../src/Application.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp37_, FALSE);
#line 139 "../src/Application.vala"
	g_object_ref_sink (_tmp37_);
#line 139 "../src/Application.vala"
	_tmp38_ = (GtkWindow*) gtk_window_new ();
#line 139 "../src/Application.vala"
	gtk_window_set_application (_tmp38_, _tmp30_);
#line 139 "../src/Application.vala"
	_g_object_unref0 (_tmp30_);
#line 139 "../src/Application.vala"
	gtk_window_set_child (_tmp38_, _tmp32_);
#line 139 "../src/Application.vala"
	_g_object_unref0 (_tmp32_);
#line 139 "../src/Application.vala"
	g_object_set ((GtkWidget*) _tmp38_, "height-request", 500, NULL);
#line 139 "../src/Application.vala"
	gtk_window_set_icon_name (_tmp38_, _tmp35_);
#line 139 "../src/Application.vala"
	_g_free0 (_tmp35_);
#line 139 "../src/Application.vala"
	gtk_window_set_title (_tmp38_, _tmp36_);
#line 139 "../src/Application.vala"
	_g_free0 (_tmp36_);
#line 139 "../src/Application.vala"
	gtk_window_set_titlebar (_tmp38_, (GtkWidget*) _tmp37_);
#line 139 "../src/Application.vala"
	_g_object_unref0 (_tmp37_);
#line 139 "../src/Application.vala"
	g_object_ref_sink (_tmp38_);
#line 139 "../src/Application.vala"
	_g_object_unref0 (self->priv->main_window);
#line 139 "../src/Application.vala"
	self->priv->main_window = _tmp38_;
#line 147 "../src/Application.vala"
	_tmp39_ = self->priv->main_window;
#line 147 "../src/Application.vala"
	gtk_application_add_window ((GtkApplication*) self, _tmp39_);
#line 148 "../src/Application.vala"
	_tmp40_ = self->priv->main_window;
#line 148 "../src/Application.vala"
	gtk_window_present (_tmp40_);
#line 155 "../src/Application.vala"
	_tmp41_ = g_settings_new ("io.elementary.settings");
#line 155 "../src/Application.vala"
	settings = _tmp41_;
#line 156 "../src/Application.vala"
	_tmp42_ = settings;
#line 156 "../src/Application.vala"
	_tmp43_ = self->priv->main_window;
#line 156 "../src/Application.vala"
	g_settings_bind (_tmp42_, "window-height", (GObject*) _tmp43_, "default-height", G_SETTINGS_BIND_DEFAULT);
#line 157 "../src/Application.vala"
	_tmp44_ = settings;
#line 157 "../src/Application.vala"
	_tmp45_ = self->priv->main_window;
#line 157 "../src/Application.vala"
	g_settings_bind (_tmp44_, "window-width", (GObject*) _tmp45_, "default-width", G_SETTINGS_BIND_DEFAULT);
#line 159 "../src/Application.vala"
	_tmp46_ = settings;
#line 159 "../src/Application.vala"
	if (g_settings_get_boolean (_tmp46_, "window-maximized")) {
#line 1135 "Application.c"
		GtkWindow* _tmp47_;
#line 160 "../src/Application.vala"
		_tmp47_ = self->priv->main_window;
#line 160 "../src/Application.vala"
		gtk_window_maximize (_tmp47_);
#line 1141 "Application.c"
	}
#line 163 "../src/Application.vala"
	_tmp48_ = settings;
#line 163 "../src/Application.vala"
	_tmp49_ = self->priv->main_window;
#line 163 "../src/Application.vala"
	g_settings_bind (_tmp48_, "window-maximized", (GObject*) _tmp49_, "maximized", G_SETTINGS_BIND_SET);
#line 165 "../src/Application.vala"
	g_signal_connect_object ((GApplication*) self, "shutdown", (GCallback) ___lambda17__g_application_shutdown, self, 0);
#line 169 "../src/Application.vala"
	_tmp50_ = self->priv->navigation_view;
#line 169 "../src/Application.vala"
	g_signal_connect_object (_tmp50_, "popped", (GCallback) _switchboard_switchboard_app_update_navigation_adw_navigation_view_popped, self, 0);
#line 170 "../src/Application.vala"
	_tmp51_ = self->priv->navigation_view;
#line 170 "../src/Application.vala"
	g_signal_connect_object (_tmp51_, "pushed", (GCallback) _switchboard_switchboard_app_update_navigation_adw_navigation_view_pushed, self, 0);
#line 98 "../src/Application.vala"
	_g_object_unref0 (settings);
#line 98 "../src/Application.vala"
	_g_object_unref0 (plugsmanager);
#line 1163 "Application.c"
}

static void
switchboard_switchboard_app_update_navigation (SwitchboardSwitchboardApp* self)
{
	GtkWindow* _tmp0_;
	AdwNavigationView* _tmp1_;
	AdwNavigationPage* _tmp2_;
	AdwNavigationPage* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
#line 173 "../src/Application.vala"
	g_return_if_fail (self != NULL);
#line 174 "../src/Application.vala"
	_tmp0_ = self->priv->main_window;
#line 174 "../src/Application.vala"
	_tmp1_ = self->priv->navigation_view;
#line 174 "../src/Application.vala"
	_tmp2_ = adw_navigation_view_get_visible_page (_tmp1_);
#line 174 "../src/Application.vala"
	_tmp3_ = _tmp2_;
#line 174 "../src/Application.vala"
	_tmp4_ = adw_navigation_page_get_title (_tmp3_);
#line 174 "../src/Application.vala"
	_tmp5_ = _tmp4_;
#line 174 "../src/Application.vala"
	gtk_window_set_title (_tmp0_, _tmp5_);
#line 1191 "Application.c"
}

static Block2Data*
block2_data_ref (Block2Data* _data2_)
{
#line 177 "../src/Application.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 177 "../src/Application.vala"
	return _data2_;
#line 1201 "Application.c"
}

static void
block2_data_unref (void * _userdata_)
{
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 177 "../src/Application.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 1211 "Application.c"
		SwitchboardSwitchboardApp* self;
#line 177 "../src/Application.vala"
		self = _data2_->self;
#line 177 "../src/Application.vala"
		_g_object_unref0 (_data2_->plug);
#line 177 "../src/Application.vala"
		_g_object_unref0 (self);
#line 177 "../src/Application.vala"
		g_slice_free (Block2Data, _data2_);
#line 1221 "Application.c"
	}
}

static void
_switchboard_plug_hidden_adw_navigation_page_hidden (AdwNavigationPage* _sender,
                                                     gpointer self)
{
#line 182 "../src/Application.vala"
	switchboard_plug_hidden ((SwitchboardPlug*) self);
#line 1231 "Application.c"
}

static void
_switchboard_plug_shown_adw_navigation_page_shown (AdwNavigationPage* _sender,
                                                   gpointer self)
{
#line 183 "../src/Application.vala"
	switchboard_plug_shown ((SwitchboardPlug*) self);
#line 1240 "Application.c"
}

static gboolean
__lambda9_ (Block2Data* _data2_,
            SwitchboardSearchEntry* entry)
{
	SwitchboardSwitchboardApp* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gboolean result;
#line 192 "../src/Application.vala"
	self = _data2_->self;
#line 193 "../src/Application.vala"
	_tmp0_ = switchboard_plug_get_display_name (_data2_->plug);
#line 193 "../src/Application.vala"
	_tmp1_ = _tmp0_;
#line 193 "../src/Application.vala"
	_tmp2_ = (*entry).plug_name;
#line 193 "../src/Application.vala"
	if (g_strcmp0 (_tmp1_, _tmp2_) == 0) {
#line 1262 "Application.c"
		const gchar* _tmp3_;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		const gchar* _tmp7_;
#line 194 "../src/Application.vala"
		_tmp3_ = (*entry).open_window;
#line 194 "../src/Application.vala"
		if (_tmp3_ == NULL) {
#line 195 "../src/Application.vala"
			switchboard_plug_search_callback (_data2_->plug, "");
#line 1273 "Application.c"
		} else {
			const gchar* _tmp4_;
#line 197 "../src/Application.vala"
			_tmp4_ = (*entry).open_window;
#line 197 "../src/Application.vala"
			switchboard_plug_search_callback (_data2_->plug, _tmp4_);
#line 1280 "Application.c"
		}
#line 199 "../src/Application.vala"
		_tmp5_ = (*entry).open_window;
#line 199 "../src/Application.vala"
		_tmp6_ = switchboard_plug_get_display_name (_data2_->plug);
#line 199 "../src/Application.vala"
		_tmp7_ = _tmp6_;
#line 199 "../src/Application.vala"
		g_debug ("Application.vala:199: open section:%s of plug: %s", _tmp5_, _tmp7_);
#line 200 "../src/Application.vala"
		result = TRUE;
#line 200 "../src/Application.vala"
		_switchboard_search_entry_free0 (entry);
#line 200 "../src/Application.vala"
		return result;
#line 1296 "Application.c"
	}
#line 203 "../src/Application.vala"
	result = FALSE;
#line 203 "../src/Application.vala"
	_switchboard_search_entry_free0 (entry);
#line 203 "../src/Application.vala"
	return result;
#line 1304 "Application.c"
}

static gboolean
___lambda9__gee_forall_func (gpointer g,
                             gpointer self)
{
	gboolean result;
	result = __lambda9_ (self, (SwitchboardSearchEntry*) g);
#line 192 "../src/Application.vala"
	return result;
#line 1315 "Application.c"
}

static gboolean
__lambda8_ (Block2Data* _data2_)
{
	SwitchboardSwitchboardApp* self;
	GtkWidget* plug_widget = NULL;
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* _tmp2_;
	GtkWidget* _tmp3_;
	GHashTable* _tmp12_;
	GtkWidget* _tmp13_;
	gconstpointer _tmp14_;
	SwitchboardCategoryView* _tmp19_;
	GeeArrayList* _tmp20_;
	GeeArrayList* _tmp21_;
	const gchar* _tmp22_;
	AdwNavigationView* _tmp29_;
	GtkWidget* _tmp30_;
	GtkWidget* _tmp31_;
	GtkWidget* _tmp32_;
	GtkWidget* _tmp33_;
	gboolean result;
#line 178 "../src/Application.vala"
	self = _data2_->self;
#line 179 "../src/Application.vala"
	_tmp0_ = switchboard_plug_get_widget (_data2_->plug);
#line 179 "../src/Application.vala"
	plug_widget = _tmp0_;
#line 180 "../src/Application.vala"
	_tmp1_ = plug_widget;
#line 180 "../src/Application.vala"
	_tmp2_ = gtk_widget_get_parent (_tmp1_);
#line 180 "../src/Application.vala"
	_tmp3_ = _tmp2_;
#line 180 "../src/Application.vala"
	if (_tmp3_ == NULL) {
#line 1354 "Application.c"
		AdwNavigationPage* navigation_page = NULL;
		GtkWidget* _tmp4_;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		AdwNavigationPage* _tmp7_;
		AdwNavigationPage* _tmp8_;
		AdwNavigationPage* _tmp9_;
		AdwNavigationView* _tmp10_;
		AdwNavigationPage* _tmp11_;
#line 181 "../src/Application.vala"
		_tmp4_ = plug_widget;
#line 181 "../src/Application.vala"
		_tmp5_ = switchboard_plug_get_display_name (_data2_->plug);
#line 181 "../src/Application.vala"
		_tmp6_ = _tmp5_;
#line 181 "../src/Application.vala"
		_tmp7_ = adw_navigation_page_new (_tmp4_, _tmp6_);
#line 181 "../src/Application.vala"
		g_object_ref_sink (_tmp7_);
#line 181 "../src/Application.vala"
		navigation_page = _tmp7_;
#line 182 "../src/Application.vala"
		_tmp8_ = navigation_page;
#line 182 "../src/Application.vala"
		g_signal_connect_object (_tmp8_, "hidden", (GCallback) _switchboard_plug_hidden_adw_navigation_page_hidden, _data2_->plug, 0);
#line 183 "../src/Application.vala"
		_tmp9_ = navigation_page;
#line 183 "../src/Application.vala"
		g_signal_connect_object (_tmp9_, "shown", (GCallback) _switchboard_plug_shown_adw_navigation_page_shown, _data2_->plug, 0);
#line 185 "../src/Application.vala"
		_tmp10_ = self->priv->navigation_view;
#line 185 "../src/Application.vala"
		_tmp11_ = navigation_page;
#line 185 "../src/Application.vala"
		adw_navigation_view_add (_tmp10_, _tmp11_);
#line 180 "../src/Application.vala"
		_g_object_unref0 (navigation_page);
#line 1392 "Application.c"
	}
#line 188 "../src/Application.vala"
	_tmp12_ = self->priv->plug_widgets;
#line 188 "../src/Application.vala"
	_tmp13_ = plug_widget;
#line 188 "../src/Application.vala"
	_tmp14_ = g_hash_table_lookup (_tmp12_, _tmp13_);
#line 188 "../src/Application.vala"
	if (((SwitchboardPlug*) _tmp14_) == NULL) {
#line 1402 "Application.c"
		GHashTable* _tmp15_;
		GtkWidget* _tmp16_;
		GtkWidget* _tmp17_;
		SwitchboardPlug* _tmp18_;
#line 189 "../src/Application.vala"
		_tmp15_ = self->priv->plug_widgets;
#line 189 "../src/Application.vala"
		_tmp16_ = plug_widget;
#line 189 "../src/Application.vala"
		_tmp17_ = _g_object_ref0 (_tmp16_);
#line 189 "../src/Application.vala"
		_tmp18_ = _g_object_ref0 (_data2_->plug);
#line 189 "../src/Application.vala"
		g_hash_table_insert (_tmp15_, _tmp17_, _tmp18_);
#line 1417 "Application.c"
	}
#line 192 "../src/Application.vala"
	_tmp19_ = self->priv->category_view;
#line 192 "../src/Application.vala"
	_tmp20_ = switchboard_category_view_get_plug_search_result (_tmp19_);
#line 192 "../src/Application.vala"
	_tmp21_ = _tmp20_;
#line 192 "../src/Application.vala"
	gee_abstract_collection_foreach ((GeeAbstractCollection*) _tmp21_, ___lambda9__gee_forall_func, _data2_);
#line 207 "../src/Application.vala"
	_tmp22_ = switchboard_switchboard_app_open_window;
#line 207 "../src/Application.vala"
	if (_tmp22_ != NULL) {
#line 1431 "Application.c"
		const gchar* _tmp23_;
#line 208 "../src/Application.vala"
		_tmp23_ = switchboard_switchboard_app_open_window;
#line 208 "../src/Application.vala"
		switchboard_plug_search_callback (_data2_->plug, _tmp23_);
#line 209 "../src/Application.vala"
		_g_free0 (switchboard_switchboard_app_open_window);
#line 209 "../src/Application.vala"
		switchboard_switchboard_app_open_window = NULL;
#line 1441 "Application.c"
	}
#line 212 "../src/Application.vala"
	if (switchboard_switchboard_app_opened_directly) {
#line 1445 "Application.c"
		AdwNavigationView* _tmp24_;
#line 213 "../src/Application.vala"
		_tmp24_ = self->priv->navigation_view;
#line 213 "../src/Application.vala"
		adw_navigation_view_set_animate_transitions (_tmp24_, FALSE);
#line 214 "../src/Application.vala"
		switchboard_switchboard_app_opened_directly = FALSE;
#line 1453 "Application.c"
	} else {
		AdwNavigationView* _tmp25_;
		gboolean _tmp26_;
		gboolean _tmp27_;
#line 215 "../src/Application.vala"
		_tmp25_ = self->priv->navigation_view;
#line 215 "../src/Application.vala"
		_tmp26_ = adw_navigation_view_get_animate_transitions (_tmp25_);
#line 215 "../src/Application.vala"
		_tmp27_ = _tmp26_;
#line 215 "../src/Application.vala"
		if (_tmp27_ == FALSE) {
#line 1466 "Application.c"
			AdwNavigationView* _tmp28_;
#line 216 "../src/Application.vala"
			_tmp28_ = self->priv->navigation_view;
#line 216 "../src/Application.vala"
			adw_navigation_view_set_animate_transitions (_tmp28_, TRUE);
#line 1472 "Application.c"
		}
	}
#line 219 "../src/Application.vala"
	_tmp29_ = self->priv->navigation_view;
#line 219 "../src/Application.vala"
	_tmp30_ = switchboard_plug_get_widget (_data2_->plug);
#line 219 "../src/Application.vala"
	_tmp31_ = _tmp30_;
#line 219 "../src/Application.vala"
	_tmp32_ = gtk_widget_get_parent (_tmp31_);
#line 219 "../src/Application.vala"
	_tmp33_ = _tmp32_;
#line 219 "../src/Application.vala"
	adw_navigation_view_push (_tmp29_, G_TYPE_CHECK_INSTANCE_CAST (_tmp33_, adw_navigation_page_get_type (), AdwNavigationPage));
#line 219 "../src/Application.vala"
	_g_object_unref0 (_tmp31_);
#line 221 "../src/Application.vala"
	result = FALSE;
#line 221 "../src/Application.vala"
	_g_object_unref0 (plug_widget);
#line 221 "../src/Application.vala"
	return result;
#line 1495 "Application.c"
}

static gboolean
___lambda8__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda8_ (self);
#line 178 "../src/Application.vala"
	return result;
#line 1505 "Application.c"
}

void
switchboard_switchboard_app_load_plug (SwitchboardSwitchboardApp* self,
                                       SwitchboardPlug* plug)
{
	Block2Data* _data2_;
	SwitchboardPlug* _tmp0_;
#line 177 "../src/Application.vala"
	g_return_if_fail (self != NULL);
#line 177 "../src/Application.vala"
	g_return_if_fail (plug != NULL);
#line 177 "../src/Application.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 177 "../src/Application.vala"
	_data2_->_ref_count_ = 1;
#line 177 "../src/Application.vala"
	_data2_->self = g_object_ref (self);
#line 177 "../src/Application.vala"
	_tmp0_ = _g_object_ref0 (plug);
#line 177 "../src/Application.vala"
	_g_object_unref0 (_data2_->plug);
#line 177 "../src/Application.vala"
	_data2_->plug = _tmp0_;
#line 178 "../src/Application.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda8__gsource_func, block2_data_ref (_data2_), block2_data_unref);
#line 177 "../src/Application.vala"
	block2_data_unref (_data2_);
#line 177 "../src/Application.vala"
	_data2_ = NULL;
#line 1536 "Application.c"
}

static void
switchboard_switchboard_app_action_navigate_back (SwitchboardSwitchboardApp* self)
{
	AdwNavigationView* _tmp0_;
	AdwNavigationView* _tmp1_;
	AdwNavigationPage* _tmp2_;
	AdwNavigationPage* _tmp3_;
	AdwNavigationPage* _tmp4_;
	SwitchboardCategoryView* _tmp5_;
	AdwNavigationView* _tmp7_;
#line 226 "../src/Application.vala"
	g_return_if_fail (self != NULL);
#line 227 "../src/Application.vala"
	_tmp0_ = self->priv->navigation_view;
#line 227 "../src/Application.vala"
	_tmp1_ = self->priv->navigation_view;
#line 227 "../src/Application.vala"
	_tmp2_ = adw_navigation_view_get_visible_page (_tmp1_);
#line 227 "../src/Application.vala"
	_tmp3_ = _tmp2_;
#line 227 "../src/Application.vala"
	_tmp4_ = adw_navigation_view_get_previous_page (_tmp0_, _tmp3_);
#line 227 "../src/Application.vala"
	_tmp5_ = self->priv->category_view;
#line 227 "../src/Application.vala"
	if (_tmp4_ == G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, adw_navigation_page_get_type (), AdwNavigationPage)) {
#line 1565 "Application.c"
		AdwNavigationView* _tmp6_;
#line 228 "../src/Application.vala"
		switchboard_switchboard_app_opened_directly = FALSE;
#line 229 "../src/Application.vala"
		_tmp6_ = self->priv->navigation_view;
#line 229 "../src/Application.vala"
		adw_navigation_view_set_animate_transitions (_tmp6_, TRUE);
#line 1573 "Application.c"
	}
#line 232 "../src/Application.vala"
	_tmp7_ = self->priv->navigation_view;
#line 232 "../src/Application.vala"
	adw_navigation_view_pop (_tmp7_);
#line 1579 "Application.c"
}

static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gchar* _tmp0_;
	gboolean result;
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1584 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1585 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1585 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1585 "glib-2.0.vapi"
	return result;
#line 1598 "Application.c"
}

gboolean
switchboard_switchboard_app_load_setting_path (SwitchboardSwitchboardApp* self,
                                               const gchar* setting_path,
                                               SwitchboardPlugsManager* plugsmanager)
{
	gboolean result;
#line 236 "../src/Application.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 236 "../src/Application.vala"
	g_return_val_if_fail (setting_path != NULL, FALSE);
#line 236 "../src/Application.vala"
	g_return_val_if_fail (plugsmanager != NULL, FALSE);
#line 1613 "Application.c"
	{
		GeeIterator* _plug_it = NULL;
		GeeCollection* _tmp0_;
		GeeCollection* _tmp1_;
		GeeIterator* _tmp2_;
		GeeIterator* _tmp3_;
#line 237 "../src/Application.vala"
		_tmp0_ = switchboard_plugs_manager_get_plugs (plugsmanager);
#line 237 "../src/Application.vala"
		_tmp1_ = _tmp0_;
#line 237 "../src/Application.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 237 "../src/Application.vala"
		_tmp3_ = _tmp2_;
#line 237 "../src/Application.vala"
		_g_object_unref0 (_tmp1_);
#line 237 "../src/Application.vala"
		_plug_it = _tmp3_;
#line 237 "../src/Application.vala"
		while (TRUE) {
#line 1634 "Application.c"
			GeeIterator* _tmp4_;
			SwitchboardPlug* plug = NULL;
			GeeIterator* _tmp5_;
			gpointer _tmp6_;
			GeeTreeMap* supported_settings = NULL;
			SwitchboardPlug* _tmp7_;
			GeeTreeMap* _tmp8_;
			GeeTreeMap* _tmp9_;
			GeeTreeMap* _tmp10_;
			GeeTreeMap* _tmp11_;
			GeeTreeMap* _tmp12_;
#line 237 "../src/Application.vala"
			_tmp4_ = _plug_it;
#line 237 "../src/Application.vala"
			if (!gee_iterator_next (_tmp4_)) {
#line 237 "../src/Application.vala"
				break;
#line 1652 "Application.c"
			}
#line 237 "../src/Application.vala"
			_tmp5_ = _plug_it;
#line 237 "../src/Application.vala"
			_tmp6_ = gee_iterator_get (_tmp5_);
#line 237 "../src/Application.vala"
			plug = (SwitchboardPlug*) _tmp6_;
#line 238 "../src/Application.vala"
			_tmp7_ = plug;
#line 238 "../src/Application.vala"
			_tmp8_ = switchboard_plug_get_supported_settings (_tmp7_);
#line 238 "../src/Application.vala"
			_tmp9_ = _tmp8_;
#line 238 "../src/Application.vala"
			_tmp10_ = _g_object_ref0 (_tmp9_);
#line 238 "../src/Application.vala"
			supported_settings = _tmp10_;
#line 239 "../src/Application.vala"
			_tmp11_ = supported_settings;
#line 239 "../src/Application.vala"
			if (_tmp11_ == NULL) {
#line 240 "../src/Application.vala"
				_g_object_unref0 (supported_settings);
#line 240 "../src/Application.vala"
				_g_object_unref0 (plug);
#line 240 "../src/Application.vala"
				continue;
#line 1680 "Application.c"
			}
#line 243 "../src/Application.vala"
			_tmp12_ = supported_settings;
#line 243 "../src/Application.vala"
			if (gee_abstract_map_has_key ((GeeAbstractMap*) _tmp12_, setting_path)) {
#line 1686 "Application.c"
				SwitchboardPlug* _tmp13_;
				GeeTreeMap* _tmp14_;
				gpointer _tmp15_;
#line 244 "../src/Application.vala"
				_tmp13_ = plug;
#line 244 "../src/Application.vala"
				switchboard_switchboard_app_load_plug (self, _tmp13_);
#line 245 "../src/Application.vala"
				_tmp14_ = supported_settings;
#line 245 "../src/Application.vala"
				_tmp15_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp14_, setting_path);
#line 245 "../src/Application.vala"
				_g_free0 (switchboard_switchboard_app_open_window);
#line 245 "../src/Application.vala"
				switchboard_switchboard_app_open_window = (gchar*) _tmp15_;
#line 246 "../src/Application.vala"
				result = TRUE;
#line 246 "../src/Application.vala"
				_g_object_unref0 (supported_settings);
#line 246 "../src/Application.vala"
				_g_object_unref0 (plug);
#line 246 "../src/Application.vala"
				_g_object_unref0 (_plug_it);
#line 246 "../src/Application.vala"
				return result;
#line 1712 "Application.c"
			}
#line 237 "../src/Application.vala"
			_g_object_unref0 (supported_settings);
#line 237 "../src/Application.vala"
			_g_object_unref0 (plug);
#line 1718 "Application.c"
		}
#line 237 "../src/Application.vala"
		_g_object_unref0 (_plug_it);
#line 1722 "Application.c"
	}
#line 251 "../src/Application.vala"
	if (string_contains (setting_path, "/")) {
#line 1726 "Application.c"
		gint last_index = 0;
		gchar* _tmp16_;
		gchar* _tmp17_;
		gboolean _tmp18_;
#line 252 "../src/Application.vala"
		last_index = string_last_index_of_char (setting_path, (gunichar) '/', 0);
#line 253 "../src/Application.vala"
		_tmp16_ = string_substring (setting_path, (glong) 0, (glong) last_index);
#line 253 "../src/Application.vala"
		_tmp17_ = _tmp16_;
#line 253 "../src/Application.vala"
		_tmp18_ = switchboard_switchboard_app_load_setting_path (self, _tmp17_, plugsmanager);
#line 253 "../src/Application.vala"
		_g_free0 (_tmp17_);
#line 253 "../src/Application.vala"
		result = _tmp18_;
#line 253 "../src/Application.vala"
		return result;
#line 1745 "Application.c"
	}
#line 256 "../src/Application.vala"
	result = FALSE;
#line 256 "../src/Application.vala"
	return result;
#line 1751 "Application.c"
}

static gint
switchboard_switchboard_app_main (gchar** args,
                                  gint args_length1)
{
	SwitchboardSwitchboardApp* app = NULL;
	SwitchboardSwitchboardApp* _tmp0_;
	gint result;
#line 260 "../src/Application.vala"
	_tmp0_ = switchboard_switchboard_app_new ();
#line 260 "../src/Application.vala"
	app = _tmp0_;
#line 261 "../src/Application.vala"
	result = g_application_run ((GApplication*) app, (gint) args_length1, args);
#line 261 "../src/Application.vala"
	_g_object_unref0 (app);
#line 261 "../src/Application.vala"
	return result;
#line 1771 "Application.c"
}

int
main (int argc,
      char ** argv)
{
#line 259 "../src/Application.vala"
	return switchboard_switchboard_app_main (argv, argc);
#line 1780 "Application.c"
}

SwitchboardSwitchboardApp*
switchboard_switchboard_app_construct (GType object_type)
{
	SwitchboardSwitchboardApp * self = NULL;
#line 23 "../src/Application.vala"
	self = (SwitchboardSwitchboardApp*) g_object_new (object_type, NULL);
#line 23 "../src/Application.vala"
	return self;
#line 1791 "Application.c"
}

SwitchboardSwitchboardApp*
switchboard_switchboard_app_new (void)
{
#line 23 "../src/Application.vala"
	return switchboard_switchboard_app_construct (SWITCHBOARD_TYPE_SWITCHBOARD_APP);
#line 1799 "Application.c"
}

static GObject *
switchboard_switchboard_app_constructor (GType type,
                                         guint n_construct_properties,
                                         GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	SwitchboardSwitchboardApp * self;
	GApplicationFlags _tmp0_;
	GApplicationFlags _tmp1_;
	GAppInfo* _tmp2_;
	GAppInfo* _tmp3_;
	gboolean _tmp4_;
	GError* _inner_error0_ = NULL;
#line 34 "../src/Application.vala"
	parent_class = G_OBJECT_CLASS (switchboard_switchboard_app_parent_class);
#line 34 "../src/Application.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 34 "../src/Application.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SWITCHBOARD_TYPE_SWITCHBOARD_APP, SwitchboardSwitchboardApp);
#line 35 "../src/Application.vala"
	g_application_set_application_id ((GApplication*) self, "io.elementary.settings");
#line 36 "../src/Application.vala"
	_tmp0_ = g_application_get_flags ((GApplication*) self);
#line 36 "../src/Application.vala"
	_tmp1_ = _tmp0_;
#line 36 "../src/Application.vala"
	g_application_set_flags ((GApplication*) self, _tmp1_ | G_APPLICATION_HANDLES_OPEN);
#line 38 "../src/Application.vala"
	g_setenv ("GTK_USE_PORTAL", "1", TRUE);
#line 39 "../src/Application.vala"
	setlocale (LC_ALL, "");
#line 40 "../src/Application.vala"
	bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR);
#line 41 "../src/Application.vala"
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
#line 42 "../src/Application.vala"
	textdomain (GETTEXT_PACKAGE);
#line 44 "../src/Application.vala"
	_tmp2_ = g_app_info_get_default_for_uri_scheme ("settings");
#line 44 "../src/Application.vala"
	_tmp3_ = _tmp2_;
#line 44 "../src/Application.vala"
	_tmp4_ = _tmp3_ == NULL;
#line 44 "../src/Application.vala"
	_g_object_unref0 (_tmp3_);
#line 44 "../src/Application.vala"
	if (_tmp4_) {
#line 1850 "Application.c"
		GDesktopAppInfo* appinfo = NULL;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		GDesktopAppInfo* _tmp9_;
		GDesktopAppInfo* _tmp10_;
#line 45 "../src/Application.vala"
		_tmp5_ = g_application_get_application_id ((GApplication*) self);
#line 45 "../src/Application.vala"
		_tmp6_ = _tmp5_;
#line 45 "../src/Application.vala"
		_tmp7_ = g_strconcat (_tmp6_, ".desktop", NULL);
#line 45 "../src/Application.vala"
		_tmp8_ = _tmp7_;
#line 45 "../src/Application.vala"
		_tmp9_ = g_desktop_app_info_new (_tmp8_);
#line 45 "../src/Application.vala"
		_tmp10_ = _tmp9_;
#line 45 "../src/Application.vala"
		_g_free0 (_tmp8_);
#line 45 "../src/Application.vala"
		appinfo = _tmp10_;
#line 1874 "Application.c"
		{
			GDesktopAppInfo* _tmp11_;
#line 47 "../src/Application.vala"
			_tmp11_ = appinfo;
#line 47 "../src/Application.vala"
			g_app_info_set_as_default_for_type ((GAppInfo*) _tmp11_, "x-scheme-handler/settings", &_inner_error0_);
#line 47 "../src/Application.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1883 "Application.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp12_;
			const gchar* _tmp13_;
#line 46 "../src/Application.vala"
			e = _inner_error0_;
#line 46 "../src/Application.vala"
			_inner_error0_ = NULL;
#line 49 "../src/Application.vala"
			_tmp12_ = e;
#line 49 "../src/Application.vala"
			_tmp13_ = _tmp12_->message;
#line 49 "../src/Application.vala"
			g_critical ("Application.vala:49: Unable to set default for the settings scheme: %s", _tmp13_);
#line 46 "../src/Application.vala"
			_g_error_free0 (e);
#line 1905 "Application.c"
		}
		__finally0:
#line 46 "../src/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 46 "../src/Application.vala"
			_g_object_unref0 (appinfo);
#line 46 "../src/Application.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 46 "../src/Application.vala"
			g_clear_error (&_inner_error0_);
#line 1916 "Application.c"
		}
#line 44 "../src/Application.vala"
		_g_object_unref0 (appinfo);
#line 1920 "Application.c"
	}
#line 34 "../src/Application.vala"
	return obj;
#line 1924 "Application.c"
}

static void
switchboard_switchboard_app_class_init (SwitchboardSwitchboardAppClass * klass,
                                        gpointer klass_data)
{
#line 23 "../src/Application.vala"
	switchboard_switchboard_app_parent_class = g_type_class_peek_parent (klass);
#line 23 "../src/Application.vala"
	g_type_class_adjust_private_offset (klass, &SwitchboardSwitchboardApp_private_offset);
#line 23 "../src/Application.vala"
	((GApplicationClass *) klass)->open = (void (*) (GApplication*, GFile**, gint, const gchar*)) switchboard_switchboard_app_real_open;
#line 23 "../src/Application.vala"
	((GApplicationClass *) klass)->startup = (void (*) (GApplication*)) switchboard_switchboard_app_real_startup;
#line 23 "../src/Application.vala"
	((GApplicationClass *) klass)->activate = (void (*) (GApplication*)) switchboard_switchboard_app_real_activate;
#line 23 "../src/Application.vala"
	G_OBJECT_CLASS (klass)->constructor = switchboard_switchboard_app_constructor;
#line 23 "../src/Application.vala"
	G_OBJECT_CLASS (klass)->finalize = switchboard_switchboard_app_finalize;
#line 1945 "Application.c"
}

static void
switchboard_switchboard_app_instance_init (SwitchboardSwitchboardApp * self,
                                           gpointer klass)
{
#line 23 "../src/Application.vala"
	self->priv = switchboard_switchboard_app_get_instance_private (self);
#line 1954 "Application.c"
}

static void
switchboard_switchboard_app_finalize (GObject * obj)
{
	SwitchboardSwitchboardApp * self;
#line 23 "../src/Application.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, SWITCHBOARD_TYPE_SWITCHBOARD_APP, SwitchboardSwitchboardApp);
#line 24 "../src/Application.vala"
	_g_hash_table_unref0 (self->priv->plug_widgets);
#line 25 "../src/Application.vala"
	_g_object_unref0 (self->priv->navigation_view);
#line 26 "../src/Application.vala"
	_g_object_unref0 (self->priv->main_window);
#line 27 "../src/Application.vala"
	_g_object_unref0 (self->priv->category_view);
#line 23 "../src/Application.vala"
	G_OBJECT_CLASS (switchboard_switchboard_app_parent_class)->finalize (obj);
#line 1973 "Application.c"
}

static GType
switchboard_switchboard_app_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (SwitchboardSwitchboardAppClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) switchboard_switchboard_app_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SwitchboardSwitchboardApp), 0, (GInstanceInitFunc) switchboard_switchboard_app_instance_init, NULL };
	GType switchboard_switchboard_app_type_id;
	switchboard_switchboard_app_type_id = g_type_register_static (gtk_application_get_type (), "SwitchboardSwitchboardApp", &g_define_type_info, 0);
	SwitchboardSwitchboardApp_private_offset = g_type_add_instance_private (switchboard_switchboard_app_type_id, sizeof (SwitchboardSwitchboardAppPrivate));
	return switchboard_switchboard_app_type_id;
}

GType
switchboard_switchboard_app_get_type (void)
{
	static volatile gsize switchboard_switchboard_app_type_id__once = 0;
	if (g_once_init_enter (&switchboard_switchboard_app_type_id__once)) {
		GType switchboard_switchboard_app_type_id;
		switchboard_switchboard_app_type_id = switchboard_switchboard_app_get_type_once ();
		g_once_init_leave (&switchboard_switchboard_app_type_id__once, switchboard_switchboard_app_type_id);
	}
	return switchboard_switchboard_app_type_id__once;
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

